Bug 397921 - iwl3945 problems with 2.6.23.8
iwl3945 problems with 2.6.23.8
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-24 12:15 EST by Jonathan Underwood
Modified: 2008-03-29 06:04 EDT (History)
11 users (show)

See Also:
Fixed In Version: 2.6.24.3-34.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-14 10:03:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
/var/log/messages on reboot with debug=0x41802 (462.62 KB, text/plain)
2007-12-08 07:28 EST, Jonathan Underwood
no flags Details
Grep for wlan0 messages in /var/log/messages with working NM/WPA WLAN association (9.29 KB, application/octet-stream)
2008-03-25 18:17 EDT, Brian Morrison
no flags Details
grep of iwl3945 debug output from /var/log/messages for good association (103.00 KB, application/octet-stream)
2008-03-25 18:22 EDT, Brian Morrison
no flags Details
Grep for wlan0 messages in /var/log/messages with broken NM/WPA WLAN association (5.12 KB, application/octet-stream)
2008-03-25 18:23 EDT, Brian Morrison
no flags Details
grep of iwl3945 debug output from /var/log/messages for bad association (1.46 MB, application/octet-stream)
2008-03-25 18:25 EDT, Brian Morrison
no flags Details

  None (edit)
Description Jonathan Underwood 2007-11-24 12:15:17 EST
Description of problem:
With the update to 2.6.23.8-62 kernel I am seeing errors messages  about iwl3945
wireless in dmesg that weren't there with 2.6.23-49 (see below). That said, I do
seem to have wireless connectivity.

iwl3945: Microcode SW error detected.  Restarting 0x82000008.
iwl3945: Error Reply type 0x00000005 cmd REPLY_TX (0x1C) seq 0x000B ser 0x0000004B
iwl3945: Error setting new configuration (-5).
iwl3945: Can't stop Rx DMA.
wlan0: failed to set channel 40 (5200 MHz) for scan
wlan0: failed to set channel 42 (5210 MHz) for scan
wlan0: failed to set channel 44 (5220 MHz) for scan
wlan0: failed to set channel 46 (5230 MHz) for scan
wlan0: failed to set channel 48 (5240 MHz) for scan
wlan0: failed to set channel 52 (5260 MHz) for scan
wlan0: failed to set channel 56 (5280 MHz) for scan
wlan0: failed to set channel 60 (5300 MHz) for scan
wlan0: failed to set channel 64 (5320 MHz) for scan
wlan0: failed to set channel 100 (5500 MHz) for scan
wlan0: failed to set channel 104 (5520 MHz) for scan
wlan0: failed to set channel 108 (5540 MHz) for scan
wlan0: failed to set channel 112 (5560 MHz) for scan
wlan0: failed to set channel 116 (5580 MHz) for scan
wlan0: failed to set channel 120 (5600 MHz) for scan
wlan0: failed to set channel 124 (5620 MHz) for scan
wlan0: failed to set channel 128 (5640 MHz) for scan
wlan0: failed to set channel 132 (5660 MHz) for scan
wlan0: failed to set channel 136 (5680 MHz) for scan
wlan0: failed to set channel 140 (5700 MHz) for scan
wlan0: failed to restore operationalchannel after scan
iwl3945: Microcode SW error detected.  Restarting 0x82000008.
iwl3945: Error Reply type 0x00000005 cmd REPLY_TX (0x1C) seq 0x000B ser 0x0000004B
iwl3945: Error setting new configuration (-5).
iwl3945: Can't stop Rx DMA.
iwl3945: Microcode SW error detected.  Restarting 0x82000008.
iwl3945: Error Reply type 0x00000005 cmd REPLY_TX (0x1C) seq 0x0000 ser 0x0000004B
iwl3945: Error setting new configuration (-5).
iwl3945: Can't stop Rx DMA.
iwl3945: Microcode SW error detected.  Restarting 0x82000008.
iwl3945: Error Reply type 0x00000005 cmd REPLY_TX (0x1C) seq 0x0000 ser 0x0000004B
iwl3945: Error setting new configuration (-5).
iwl3945: Can't stop Rx DMA.
iwl3945: Microcode SW error detected.  Restarting 0x82000008.
iwl3945: Error Reply type 0x00000005 cmd REPLY_TX (0x1C) seq 0x0000 ser 0x0000004B
iwl3945: Error setting new configuration (-5).
iwl3945: Can't stop Rx DMA.


Version-Release number of selected component (if applicable):
kernel-2.6.23.8-62

How reproducible:


Steps to Reproduce:
1.Boot machine
2.dmesg
3.
Comment 1 Jonathan Underwood 2007-11-26 11:34:46 EST
Also, the machine doesn't associate with the AP after a suspend to ram + resume.
Comment 2 John W. Linville 2007-11-26 14:59:30 EST
I'm using .62 on an iwl3945-equipped box right now and I don't seem to be 
getting any such messages.  Can you characterize what you are doing when you 
see those messages?

What is the output of 'rpm -q iwl3945-firmware'?
Comment 3 Jonathan Underwood 2007-11-26 16:31:20 EST
(In reply to comment #2)
> I'm using .62 on an iwl3945-equipped box right now and I don't seem to be 
> getting any such messages.  Can you characterize what you are doing when you 
> see those messages?
> 

I boot, log into gnome, type dmesg in a console and I see those messages. This
is before NM managers to associate with the AP.

> What is the output of 'rpm -q iwl3945-firmware'?
iwl3945-firmware-2.14.1.5-2
Comment 4 Jonathan Underwood 2007-11-26 16:33:45 EST
Other thing is, I see the system "stuttering" when I first log into Gnome and NM
is trying to connect to the AP - by which I mean the screen briefly freezes for
a few hundred milliseconds to a second, repeatedly, until I get a connection. I
don't see this with the previous 2.6.23.1 kernel at all.
Comment 5 Jonathan Underwood 2007-12-02 09:42:31 EST
Still see this with the latest testing kernel 2.6.23.8-63.fc8:


ADDRCONF(NETDEV_UP): eth0: link is not ready
ADDRCONF(NETDEV_UP): wlan0: link is not ready
iwl3945: Microcode SW error detected.  Restarting 0x82000008.
iwl3945: Error Reply type 0x00000005 cmd REPLY_TX (0x1C) seq 0x000B ser 0x0000004B
iwl3945: Error setting new configuration (-5).
iwl3945: Can't stop Rx DMA.
ACPI: PCI Interrupt 0000:00:02.0[A] -> GSI 16 (level, low) -> IRQ 16
iwl3945: Microcode SW error detected.  Restarting 0x82000008.
iwl3945: Error Reply type 0x00000005 cmd REPLY_TX (0x1C) seq 0x0000 ser 0x0000004B
iwl3945: Error setting new configuration (-5).
iwl3945: Can't stop Rx DMA.
iwl3945: Microcode SW error detected.  Restarting 0x82000008.
iwl3945: Error Reply type 0x00000005 cmd REPLY_TX (0x1C) seq 0x0000 ser 0x0000004B
iwl3945: Error setting new configuration (-5).
iwl3945: Can't stop Rx DMA.
iwl3945: Microcode SW error detected.  Restarting 0x82000008.
iwl3945: Error Reply type 0x00000005 cmd REPLY_TX (0x1C) seq 0x0000 ser 0x0000004B
iwl3945: Error setting new configuration (-5).
iwl3945: Can't stop Rx DMA.
virbr0: no IPv6 routers present
[drm] Initialized drm 1.1.0 20060810
[drm] Initialized i915 1.6.0 20060119 on minor 0
iwl3945: Microcode SW error detected.  Restarting 0x82000008.
iwl3945: Error Reply type 0x00000005 cmd REPLY_TX (0x1C) seq 0x000B ser 0x0000004B
iwl3945: Error setting new configuration (-5).
iwl3945: Can't stop Rx DMA.
iwl3945: Microcode SW error detected.  Restarting 0x82000008.
iwl3945: Error Reply type 0x00000005 cmd REPLY_TX (0x1C) seq 0x0000 ser 0x0000004B
iwl3945: Error setting new configuration (-5).
iwl3945: Can't stop Rx DMA.
wlan0: failed to set channel 44 (5220 MHz) for scan
wlan0: failed to set channel 46 (5230 MHz) for scan
wlan0: failed to set channel 48 (5240 MHz) for scan
wlan0: failed to set channel 52 (5260 MHz) for scan
wlan0: failed to set channel 56 (5280 MHz) for scan
wlan0: failed to set channel 60 (5300 MHz) for scan
wlan0: failed to set channel 64 (5320 MHz) for scan
wlan0: failed to set channel 100 (5500 MHz) for scan
wlan0: failed to set channel 104 (5520 MHz) for scan
wlan0: failed to set channel 108 (5540 MHz) for scan
wlan0: failed to set channel 112 (5560 MHz) for scan
wlan0: failed to set channel 116 (5580 MHz) for scan
wlan0: failed to set channel 120 (5600 MHz) for scan
wlan0: failed to set channel 124 (5620 MHz) for scan
wlan0: failed to set channel 128 (5640 MHz) for scan
wlan0: failed to set channel 132 (5660 MHz) for scan
wlan0: failed to set channel 136 (5680 MHz) for scan
wlan0: failed to set channel 140 (5700 MHz) for scan
wlan0: failed to restore operationalchannel after scan
usb 2-1: USB disconnect, address 2
iwl3945: Microcode SW error detected.  Restarting 0x82000008.
iwl3945: Error Reply type 0x00000005 cmd REPLY_TX (0x1C) seq 0x000B ser 0x0000004B
iwl3945: Error setting new configuration (-5).
iwl3945: Can't stop Rx DMA.
usb 2-1: new low speed USB device using uhci_hcd and address 4
usb 2-1: configuration #1 chosen from 1 choice
input: Microsoft Microsoft 3-Button Mouse with IntelliEye(TM) as
/class/input/input13
input: USB HID v1.10 Mouse [Microsoft Microsoft 3-Button Mouse with
IntelliEye(TM)] on usb-0000:00:1d.0-1
iwl3945: Microcode SW error detected.  Restarting 0x82000008.
iwl3945: Error Reply type 0x00000005 cmd REPLY_TX (0x1C) seq 0x0000 ser 0x0000004B
iwl3945: Error setting new configuration (-5).
iwl3945: Can't stop Rx DMA.
iwl3945: Microcode SW error detected.  Restarting 0x82000008.
iwl3945: Error Reply type 0x00000005 cmd REPLY_TX (0x1C) seq 0x0000 ser 0x0000004B
iwl3945: Error setting new configuration (-5).
iwl3945: Can't stop Rx DMA.
wlan0: failed to set channel 48 (5240 MHz) for scan
wlan0: failed to set channel 52 (5260 MHz) for scan
wlan0: failed to set channel 56 (5280 MHz) for scan
wlan0: failed to set channel 60 (5300 MHz) for scan
wlan0: failed to set channel 64 (5320 MHz) for scan
wlan0: failed to set channel 100 (5500 MHz) for scan
wlan0: failed to set channel 104 (5520 MHz) for scan
wlan0: failed to set channel 108 (5540 MHz) for scan
wlan0: failed to set channel 112 (5560 MHz) for scan
wlan0: failed to set channel 116 (5580 MHz) for scan
wlan0: failed to set channel 120 (5600 MHz) for scan
wlan0: failed to set channel 124 (5620 MHz) for scan
wlan0: failed to set channel 128 (5640 MHz) for scan
wlan0: failed to set channel 132 (5660 MHz) for scan
wlan0: failed to set channel 136 (5680 MHz) for scan
wlan0: failed to set channel 140 (5700 MHz) for scan
wlan0: failed to restore operationalchannel after scan
iwl3945: Microcode SW error detected.  Restarting 0x82000008.
iwl3945: Error Reply type 0x00000005 cmd REPLY_TX (0x1C) seq 0x000B ser 0x0000004B
iwl3945: Error setting new configuration (-5).
iwl3945: Can't stop Rx DMA.
wlan0: failed to set channel 40 (5200 MHz) for scan
wlan0: failed to set channel 42 (5210 MHz) for scan
wlan0: failed to set channel 44 (5220 MHz) for scan
wlan0: failed to set channel 46 (5230 MHz) for scan
wlan0: failed to set channel 48 (5240 MHz) for scan
wlan0: failed to set channel 52 (5260 MHz) for scan
wlan0: failed to set channel 56 (5280 MHz) for scan
wlan0: failed to set channel 60 (5300 MHz) for scan
wlan0: failed to set channel 64 (5320 MHz) for scan
wlan0: failed to set channel 100 (5500 MHz) for scan
wlan0: failed to set channel 104 (5520 MHz) for scan
wlan0: failed to set channel 108 (5540 MHz) for scan
wlan0: failed to set channel 112 (5560 MHz) for scan
wlan0: failed to set channel 116 (5580 MHz) for scan
wlan0: failed to set channel 120 (5600 MHz) for scan
wlan0: failed to set channel 124 (5620 MHz) for scan
wlan0: failed to set channel 128 (5640 MHz) for scan
wlan0: failed to set channel 132 (5660 MHz) for scan
wlan0: failed to set channel 136 (5680 MHz) for scan
wlan0: failed to set channel 140 (5700 MHz) for scan
wlan0: failed to restore operationalchannel after scan
wlan0: Initial auth_alg=0
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: RX authentication from 00:18:4d:07:31:da (alg=0 transaction=2 status=0)
wlan0: authenticated
wlan0: associate with AP 00:18:4d:07:31:da
wlan0: RX AssocResp from 00:18:4d:07:31:da (capab=0x431 status=0 aid=1)
wlan0: associated
wlan0: switched to short barker preamble (BSSID=00:18:4d:07:31:da)
wlan0: WMM queue=2 aci=0 acm=0 aifs=3 cWmin=15 cWmax=1023 burst=0
wlan0: WMM queue=3 aci=1 acm=0 aifs=7 cWmin=15 cWmax=1023 burst=0
wlan0: WMM queue=1 aci=2 acm=0 aifs=2 cWmin=7 cWmax=15 burst=30
wlan0: WMM queue=0 aci=3 acm=0 aifs=2 cWmin=3 cWmax=7 burst=15
ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
wlan0: no IPv6 routers present
Comment 6 Jonathan Underwood 2007-12-02 09:52:04 EST
2.6.23.8-63.fc8 also fails to associate after suspend+resume. dmesg output
below. Things actually get very horrific after resume, the whole system stutters
and freezes frequently, and keyboard signals are lost when the display freezes.
removing the iwl3945 module seemed to make things well again - NM then manages
to associate (presumably in the process reloading the kernel module) and the
system stuttering ceases. Incidentally, all of this is is with disable_hw_scan=1

dmesg output after resume:
hda_intel: azx_get_response timeout, switching to polling mode: last md=0x00ff0700
ADDRCONF(NETDEV_UP): eth0: link is not ready
ADDRCONF(NETDEV_UP): wlan0: link is not ready
wlan0: Initial auth_alg=0
wlan0: authenticate with AP 00:17:3f:76:17:3e
wlan0: authenticate with AP 00:17:3f:76:17:3e
wlan0: authenticate with AP 00:17:3f:76:17:3e
wlan0: authentication with AP 00:17:3f:76:17:3e timed out
iwl3945: Microcode SW error detected.  Restarting 0x82000008.
iwl3945: Error Reply type 0x00000005 cmd REPLY_TX (0x1C) seq 0x000E ser 0x0000004B
iwl3945: Error setting new configuration (-5).
iwl3945: Can't stop Rx DMA.
iwl3945: Microcode SW error detected.  Restarting 0x82000008.
iwl3945: Error Reply type 0x00000005 cmd REPLY_TX (0x1C) seq 0x0000 ser 0x0000004B
iwl3945: Error setting new configuration (-5).
iwl3945: Can't stop Rx DMA.
iwl3945: Microcode SW error detected.  Restarting 0x82000008.
iwl3945: Error Reply type 0x00000005 cmd REPLY_TX (0x1C) seq 0x0000 ser 0x0000004B
iwl3945: Error setting new configuration (-5).
iwl3945: Can't stop Rx DMA.
iwl3945: Microcode SW error detected.  Restarting 0x82000008.
iwl3945: Error Reply type 0x00000005 cmd REPLY_TX (0x1C) seq 0x0000 ser 0x0000004B
iwl3945: Error setting new configuration (-5).
iwl3945: Can't stop Rx DMA.
Comment 7 Jonathan Underwood 2007-12-06 17:50:13 EST
By the way, Smolt profile for this machine:

http://www.smolts.org/show?UUID=282f64c7-f6a0-4b5c-ae4f-b9dec05218a8
Comment 8 Jonathan Underwood 2007-12-07 06:54:38 EST
FWIW other info (though it's probably not relevant in this case): 

AP: Netgear DG834GT
Distance from AP: about 10m
Encryption: WPA-PSK
Comment 9 Jonathan Underwood 2007-12-08 07:28:05 EST
Created attachment 281991 [details]
/var/log/messages on reboot with debug=0x41802

I just tried adding debug=0x41802 to the iwl3945 options in modprobe.conf (such
that it reads "options iwl3945 disable_hw_scan=1 debug=0x41802") and rebooting
into kernel 2.6.23.8-63. Attached is the output of /var/log/messages
(unfortunately the dmesg buffer filled up rapidly and so didn't contain all the
info).
Comment 10 Marcelo 2007-12-08 10:27:56 EST
I have similar problems with iwl3945 and kernel 2.6.23.8-63. In my case,
however, I can not connect to my wireless network (using wpa2-personal). The
nm-applet keeps asking for the password and never connects. Also, I have other
problems with this kernel: kpowersave does not adjusts the LCD brightness
automatically when I log in (but it does if I change power profiles manually)
and sounds are being played with echoes (I do not have pulseaudio-alsa-plugin
installed). None of these problems occur with kernel 2.6.23.1-49.fc8. Should I
open separate bug reports for these two other problems?
The relevant parts of /var/log/messages for the iwl3945 problem are pasted below.

----------------------------------------------------------

Dec  8 12:09:05 home-03 kernel: iwl3945: Microcode SW error detected. 
Restarting 0x82000008.
Dec  8 12:09:05 home-03 kernel: iwl3945: Error Reply type 0x00000005 cmd
REPLY_TX (0x1C) seq 0x000B ser 0x0000004B
Dec  8 12:09:05 home-03 kernel: iwl3945: Error setting new configuration (-5).
Dec  8 12:09:06 home-03 kernel: iwl3945: Can't stop Rx DMA.
Dec  8 12:09:07 home-03 kernel: iwl3945: Microcode SW error detected. 
Restarting 0x82000008.
Dec  8 12:09:07 home-03 kernel: iwl3945: Error Reply type 0x00000005 cmd
REPLY_TX (0x1C) seq 0x0000 ser 0x0000004B
Dec  8 12:09:07 home-03 kernel: iwl3945: Error setting new configuration (-5).
Dec  8 12:09:08 home-03 kernel: iwl3945: Can't stop Rx DMA.
Dec  8 12:09:08 home-03 kernel: iwl3945: Microcode SW error detected. 
Restarting 0x82000008.
Dec  8 12:09:08 home-03 kernel: iwl3945: Error Reply type 0x00000005 cmd
REPLY_TX (0x1C) seq 0x0000 ser 0x0000004B
Dec  8 12:09:08 home-03 kernel: iwl3945: Error setting new configuration (-5).
Dec  8 12:09:09 home-03 kernel: iwl3945: Can't stop Rx DMA.
Dec  8 12:09:09 home-03 kernel: [drm] Initialized drm 1.1.0 20060810
Dec  8 12:09:09 home-03 kernel: [drm] Initialized i915 1.6.0 20060119 on minor 0
Dec  8 12:09:10 home-03 NetworkManager: <info>  Trying to start the supplicant...
Dec  8 12:09:10 home-03 kernel: iwl3945: Microcode SW error detected. 
Restarting 0x82000008.
Dec  8 12:09:10 home-03 kernel: iwl3945: Error Reply type 0x00000005 cmd
REPLY_TX (0x1C) seq 0x0000 ser 0x0000004B
Dec  8 12:09:10 home-03 kernel: iwl3945: Error setting new configuration (-5).
Dec  8 12:09:10 home-03 NetworkManager: <info>  (eth0) supplicant interface is
now in state 1 (from 0).
Dec  8 12:09:10 home-03 NetworkManager: <info>  (wlan0) supplicant manager is
now in state 1 (from 0).
Dec  8 12:09:11 home-03 kernel: iwl3945: Can't stop Rx DMA.
Dec  8 12:09:11 home-03 NetworkManager: <info>  (eth0) supplicant interface is
now in state 2 (from 1).
Dec  8 12:09:11 home-03 NetworkManager: <info>  (wlan0) supplicant interface is
now in state 2 (from 1).
Dec  8 12:09:33 home-03 kernel: iwl3945: Microcode SW error detected. 
Restarting 0x82000008.
Dec  8 12:09:33 home-03 kernel: iwl3945: Error Reply type 0x00000005 cmd
REPLY_TX (0x1C) seq 0x000E ser 0x0000004B
Dec  8 12:09:33 home-03 kernel: iwl3945: Error setting new configuration (-5).
Dec  8 12:09:34 home-03 kernel: iwl3945: Can't stop Rx DMA.
Dec  8 12:09:34 home-03 kernel: iwl3945: Microcode SW error detected. 
Restarting 0x82000008.
Dec  8 12:09:34 home-03 kernel: iwl3945: Error Reply type 0x00000005 cmd
REPLY_TX (0x1C) seq 0x0000 ser 0x0000004B
Dec  8 12:09:34 home-03 kernel: iwl3945: Error setting new configuration (-5).
Dec  8 12:09:35 home-03 kernel: iwl3945: Can't stop Rx DMA.
Dec  8 12:09:36 home-03 kernel: iwl3945: Microcode SW error detected. 
Restarting 0x82000008.
Dec  8 12:09:36 home-03 kernel: iwl3945: Error Reply type 0x00000005 cmd
REPLY_TX (0x1C) seq 0x0000 ser 0x0000004B
Dec  8 12:09:36 home-03 kernel: iwl3945: Error setting new configuration (-5).
Dec  8 12:09:37 home-03 kernel: iwl3945: Can't stop Rx DMA.
Dec  8 12:09:37 home-03 kernel: iwl3945: Microcode SW error detected. 
Restarting 0x82000008.
Dec  8 12:09:37 home-03 kernel: iwl3945: Error Reply type 0x00000005 cmd
REPLY_TX (0x1C) seq 0x0000 ser 0x0000004B
Dec  8 12:09:37 home-03 kernel: iwl3945: Error setting new configuration (-5).
Dec  8 12:09:38 home-03 kernel: iwl3945: Can't stop Rx DMA.
Dec  8 12:09:46 home-03 kernel: NET: Registered protocol family 4
Dec  8 12:09:46 home-03 kernel: NET: Registered protocol family 5
(...)
Dec  8 12:10:02 home-03 NetworkManager: <info>  SWITCH: no current connection,
found better connection 'Auto home (wlan0)'.
Dec  8 12:10:02 home-03 NetworkManager: <info>  Activating device wlan0
Dec  8 12:10:02 home-03 NetworkManager: <info>  Activation (wlan0) Stage 1 of 5
(Device Prepare) scheduled...
Dec  8 12:10:02 home-03 NetworkManager: <info>  Activation (wlan0) Stage 1 of 5
(Device Prepare) started...
Dec  8 12:10:02 home-03 NetworkManager: <info>  Activation (wlan0) Stage 2 of 5
(Device Configure) scheduled...
Dec  8 12:10:02 home-03 NetworkManager: <info>  Activation (wlan0) Stage 1 of 5
(Device Prepare) complete.
Dec  8 12:10:02 home-03 NetworkManager: <info>  Activation (wlan0) Stage 2 of 5
(Device Configure) starting...
Dec  8 12:10:02 home-03 NetworkManager: <info>  Activation (wlan0/wireless):
access point 'Auto home' has security, but secrets are required.
Dec  8 12:10:02 home-03 NetworkManager: <info>  Activation (wlan0) Stage 2 of 5
(Device Configure) complete.
Dec  8 12:10:31 home-03 NetworkManager: <info>  (wlan0) Supplicant interface
state change: 1 -> 2
Dec  8 12:10:33 home-03 kernel: iwl3945: Microcode SW error detected. 
Restarting 0x82000008.
Dec  8 12:10:33 home-03 kernel: iwl3945: Error Reply type 0x00000005 cmd
REPLY_TX (0x1C) seq 0x000B ser 0x0000004B
Dec  8 12:10:33 home-03 kernel: iwl3945: Error setting new configuration (-5).
Dec  8 12:10:34 home-03 kernel: iwl3945: Can't stop Rx DMA.
Dec  8 12:10:34 home-03 kernel: iwl3945: Microcode SW error detected. 
Restarting 0x82000008.
Dec  8 12:10:34 home-03 kernel: iwl3945: Error Reply type 0x00000005 cmd
REPLY_TX (0x1C) seq 0x0000 ser 0x0000004B
Dec  8 12:10:34 home-03 kernel: iwl3945: Error setting new configuration (-5).
Dec  8 12:10:35 home-03 NetworkManager: <info>  (wlan0) Supplicant interface
state change: 2 -> 1
Dec  8 12:10:35 home-03 kernel: iwl3945: Can't stop Rx DMA.
Dec  8 12:10:36 home-03 kernel: iwl3945: Microcode SW error detected. 
Restarting 0x82000008.
Dec  8 12:10:36 home-03 kernel: iwl3945: Error Reply type 0x00000005 cmd
REPLY_TX (0x1C) seq 0x0000 ser 0x0000004B
Dec  8 12:10:36 home-03 kernel: iwl3945: Error setting new configuration (-5).
Dec  8 12:10:37 home-03 kernel: iwl3945: Can't stop Rx DMA.
Dec  8 12:10:37 home-03 kernel: iwl3945: Microcode SW error detected. 
Restarting 0x82000008.
Dec  8 12:10:37 home-03 kernel: iwl3945: Error Reply type 0x00000005 cmd
REPLY_TX (0x1C) seq 0x0000 ser 0x0000004B
Dec  8 12:10:37 home-03 kernel: iwl3945: Error setting new configuration (-5).
Dec  8 12:10:38 home-03 kernel: iwl3945: Can't stop Rx DMA.
Dec  8 12:10:44 home-03 NetworkManager: <info>  Activation (wlan0) Stage 1 of 5
(Device Prepare) scheduled...
Dec  8 12:10:44 home-03 NetworkManager: <info>  Activation (wlan0) Stage 1 of 5
(Device Prepare) started...
Dec  8 12:10:44 home-03 NetworkManager: <info>  Activation (wlan0) Stage 2 of 5
(Device Configure) scheduled...
Dec  8 12:10:44 home-03 NetworkManager: <info>  Activation (wlan0) Stage 1 of 5
(Device Prepare) complete.
Dec  8 12:10:44 home-03 NetworkManager: <info>  Activation (wlan0) Stage 2 of 5
(Device Configure) starting...
Dec  8 12:10:44 home-03 NetworkManager: <info>  Activation (wlan0/wireless):
connection 'Auto home' has security, and secrets exist.  No new secrets needed.
Dec  8 12:10:44 home-03 NetworkManager: <info>  Config: added 'ssid' value 'home'
Dec  8 12:10:44 home-03 NetworkManager: <info>  Config: added 'key_mgmt' value
'WPA-PSK'
Dec  8 12:10:44 home-03 NetworkManager: <info>  Config: added 'psk' value
'<omitted>'
Dec  8 12:10:44 home-03 NetworkManager: <info>  Config: added 'proto' value 'WPA
RSN'
Dec  8 12:10:44 home-03 NetworkManager: <info>  Config: added 'pairwise' value
'TKIP CCMP'
Dec  8 12:10:44 home-03 NetworkManager: <info>  Config: added 'group' value
'WEP40 WEP104 TKIP CCMP'
Dec  8 12:10:44 home-03 NetworkManager: <info>  Activation (wlan0) Stage 2 of 5
(Device Configure) complete.
Dec  8 12:10:44 home-03 NetworkManager: <info>  Config: set interface ap_scan to 1
Dec  8 12:10:44 home-03 NetworkManager: <info>  (wlan0) Supplicant interface
state change: 1 -> 2
Dec  8 12:10:46 home-03 kernel: iwl3945: Microcode SW error detected. 
Restarting 0x82000008.
Dec  8 12:10:46 home-03 kernel: iwl3945: Error Reply type 0x00000005 cmd
REPLY_TX (0x1C) seq 0x000B ser 0x0000004B
Dec  8 12:10:46 home-03 kernel: iwl3945: Error setting new configuration (-5).
Dec  8 12:10:47 home-03 kernel: iwl3945: Can't stop Rx DMA.
Dec  8 12:10:47 home-03 kernel: iwl3945: Microcode SW error detected. 
Restarting 0x82000008.
Dec  8 12:10:47 home-03 kernel: iwl3945: Error Reply type 0x00000005 cmd
REPLY_TX (0x1C) seq 0x0000 ser 0x0000004B
Dec  8 12:10:47 home-03 kernel: iwl3945: Error setting new configuration (-5).
Dec  8 12:10:48 home-03 kernel: iwl3945: Can't stop Rx DMA.
Dec  8 12:10:48 home-03 NetworkManager: <info>  (wlan0) Supplicant interface
state change: 2 -> 3
Dec  8 12:10:48 home-03 kernel: iwl3945: Microcode HW error detected.  Restarting.
Dec  8 12:10:48 home-03 kernel: iwl3945: No space for Tx
Dec  8 12:10:48 home-03 kernel: iwl3945: Error sending POWER_TABLE_CMD:
iwl3945_enqueue_hcmd failed: -28
Dec  8 12:10:48 home-03 kernel: iwl3945: No space for Tx
Dec  8 12:10:48 home-03 kernel: iwl3945: Error sending REPLY_BT_CONFIG:
iwl3945_enqueue_hcmd failed: -28
Dec  8 12:10:48 home-03 kernel: iwl3945: No space for Tx
Dec  8 12:10:48 home-03 kernel: iwl3945: Error sending REPLY_RXON:
iwl3945_enqueue_hcmd failed: -28
Dec  8 12:10:48 home-03 kernel: iwl3945: Error setting new configuration (-28).
Dec  8 12:10:48 home-03 kernel: iwl3945: Failed to get channel info for channel
40 [2]
Dec  8 12:11:03 home-03 NetworkManager: <info>  (wlan0) Supplicant interface
state change: 3 -> 0
Dec  8 12:11:03 home-03 NetworkManager: <info>  (wlan0) Supplicant interface
state change: 0 -> 2
Dec  8 12:11:05 home-03 kernel: iwl3945: Microcode SW error detected. 
Restarting 0x82000008.
Dec  8 12:11:05 home-03 kernel: iwl3945: Error Reply type 0x00000005 cmd
REPLY_TX (0x1C) seq 0x000F ser 0x0000004B
Dec  8 12:11:05 home-03 kernel: iwl3945: Error setting new configuration (-5).
Dec  8 12:11:06 home-03 kernel: iwl3945: Can't stop Rx DMA.
Dec  8 12:11:06 home-03 kernel: iwl3945: Microcode SW error detected. 
Restarting 0x82000008.
Dec  8 12:11:06 home-03 kernel: iwl3945: Error Reply type 0x00000005 cmd
REPLY_TX (0x1C) seq 0x0000 ser 0x0000004B
Dec  8 12:11:06 home-03 kernel: iwl3945: Error setting new configuration (-5).
Dec  8 12:11:07 home-03 kernel: iwl3945: Can't stop Rx DMA.
Dec  8 12:11:08 home-03 kernel: iwl3945: Microcode SW error detected. 
Restarting 0x82000008.
Dec  8 12:11:08 home-03 kernel: iwl3945: Error Reply type 0x00000005 cmd
REPLY_TX (0x1C) seq 0x0000 ser 0x0000004B
Dec  8 12:11:08 home-03 kernel: iwl3945: Error setting new configuration (-5).
Dec  8 12:11:09 home-03 kernel: iwl3945: Can't stop Rx DMA.
Dec  8 12:11:09 home-03 NetworkManager: <info>  Activation (wlan0/wireless):
association took too long, asking for new key.
Dec  8 12:11:09 home-03 NetworkManager: <info>  (wlan0) Supplicant interface
state change: 2 -> 0
Dec  8 12:11:09 home-03 kernel: iwl3945: Microcode SW error detected. 
Restarting 0x82000008.
Dec  8 12:11:09 home-03 kernel: iwl3945: Error Reply type 0x00000005 cmd
REPLY_TX (0x1C) seq 0x0000 ser 0x0000004B
Dec  8 12:11:09 home-03 kernel: iwl3945: Error setting new configuration (-5).
Dec  8 12:11:10 home-03 kernel: iwl3945: Can't stop Rx DMA.
Dec  8 12:12:11 home-03 NetworkManager: <info>  (wlan0) Supplicant interface
state change: 0 -> 2
Dec  8 12:12:13 home-03 kernel: iwl3945: Microcode SW error detected. 
Restarting 0x82000008.
Dec  8 12:12:13 home-03 kernel: iwl3945: Error Reply type 0x00000005 cmd
REPLY_TX (0x1C) seq 0x000B ser 0x0000004B
Dec  8 12:12:13 home-03 kernel: iwl3945: Error setting new configuration (-5).
Dec  8 12:12:14 home-03 kernel: iwl3945: Can't stop Rx DMA.
Dec  8 12:12:14 home-03 kernel: iwl3945: Microcode SW error detected. 
Restarting 0x82000008.
Dec  8 12:12:14 home-03 kernel: iwl3945: Error Reply type 0x00000005 cmd
REPLY_TX (0x1C) seq 0x0000 ser 0x0000004B
Dec  8 12:12:14 home-03 kernel: iwl3945: Error setting new configuration (-5).
Dec  8 12:12:15 home-03 kernel: iwl3945: Can't stop Rx DMA.
Dec  8 12:12:16 home-03 kernel: iwl3945: Microcode SW error detected. 
Restarting 0x82000008.
Dec  8 12:12:16 home-03 kernel: iwl3945: Error Reply type 0x00000005 cmd
REPLY_TX (0x1C) seq 0x0000 ser 0x0000004B
Dec  8 12:12:16 home-03 kernel: iwl3945: Error setting new configuration (-5).
Dec  8 12:12:17 home-03 kernel: iwl3945: Can't stop Rx DMA.
Dec  8 12:12:17 home-03 kernel: iwl3945: Microcode SW error detected. 
Restarting 0x82000008.
Dec  8 12:12:17 home-03 kernel: iwl3945: Error Reply type 0x00000005 cmd
REPLY_TX (0x1C) seq 0x0000 ser 0x0000004B
Dec  8 12:12:17 home-03 kernel: iwl3945: Error setting new configuration (-5).
Dec  8 12:12:18 home-03 kernel: iwl3945: Can't stop Rx DMA.

Comment 11 Jonathan Underwood 2007-12-08 11:46:47 EST
(In reply to comment #10)
> I have similar problems with iwl3945 and kernel 2.6.23.8-63. In my case,
> however, I can not connect to my wireless network (using wpa2-personal). The
> nm-applet keeps asking for the password and never connects. 

Yes - I see that most of the time. Periodically it does manage to connect, but
not very often.

> Also, I have other
> problems with this kernel: kpowersave does not adjusts the LCD brightness
> automatically when I log in (but it does if I change power profiles manually)
> and sounds are being played with echoes (I do not have pulseaudio-alsa-plugin
> installed). None of these problems occur with kernel 2.6.23.1-49.fc8. Should I
> open separate bug reports for these two other problems?

Yes.

> The relevant parts of /var/log/messages for the iwl3945 problem are pasted below.
> 


[snip]

Looks like exactly the same problem.
Comment 12 Christian Menzel 2007-12-08 14:42:11 EST
I have same problem on my ThinkPad T60p.
It still exists with kernel 2.6.23.9-85.fc8
Comment 13 Jonathan Underwood 2007-12-08 16:31:51 EST
Similar bug report:

http://bughost.org/bugzilla/show_bug.cgi?id=1534
Comment 14 John W. Linville 2007-12-10 11:47:40 EST
If you remove "options iwl3945 disable_hw_scan=1" from /etc/modprobe.conf, 
does the problem disappear?
Comment 15 Jonathan Underwood 2007-12-10 20:01:06 EST
(In reply to comment #14)
> If you remove "options iwl3945 disable_hw_scan=1" from /etc/modprobe.conf, 
> does the problem disappear?

Without disable_hw_scan=1 the card doesn't function at all - it doesn't detect
APs, iwlist scan returns No scan results. However, none of the error messages
listed above appear in dmesg either.
Comment 16 John W. Linville 2007-12-11 09:54:44 EST
Is that true on the latest kernels as well?  I know many people had problems 
without it on the -42 kernel.  Did you try it on e.g. the -85.fc8 kernel?
Comment 17 Jonathan Underwood 2007-12-11 09:59:44 EST
(In reply to comment #16)
> Is that true on the latest kernels as well?  I know many people had problems 
> without it on the -42 kernel.  Did you try it on e.g. the -85.fc8 kernel?

I haven't tried -85 yet, but it is certainly true on the 2.6.23.8-63.fc8 kernel. 

I'll give the -85 kernel a try this evening.
Comment 18 Christian Menzel 2007-12-11 12:05:09 EST
I'm writing this text using kernel 2.6.23.9-86.fc8 connected to my wireless AP.
The problem was indeed the 'disable_hw_scan=1'.
I even have the impression, that it connects faster than before.
Comment 19 Jonathan Underwood 2007-12-11 16:45:41 EST
Aha, interesting. I just installed kernel 2.6.23.9-86.fc8 and removed
disable_hw_scan=1 and associated with the AP with no problem at all - this is
looking good indeed.
Comment 20 Marcelo 2007-12-11 18:35:59 EST
For me, the problem was solved removing "disable_hw_scan=1" from modprobe.conf
too. I also think that networkmanager connects now faster than it did before, as
reported by Christian.
Comment 21 Jonathan Underwood 2007-12-12 18:50:06 EST
Unfortunately, I'm seeing rather spotty behaviour- sometimes it works, sometimes
it doesn't. This is without disable_hw_scan=1 and with kernel -86. When it fails
to detect an AP, no errors are given in dmesg.
Comment 22 Deependra Singh Shekhawat 2007-12-22 11:02:41 EST
I would like to add to this:

I was using kernel-2.6.23.8-63.fc8 with my iwl3945 working just fine. Then last
night I did a yum update and got the new kernel kernel-2.6.23.9-85.fc8. When I
booted into the new kernel my wireless stop working. It was detecting my AP but
was not getting IP address via dhcp. I did try assiging static IP and manual
association with the AP but it didn't worked out. Then I added this line to my
/etc/modprobe.conf
options iwl3945 disable_hw_scan=1
and rebooted and it started working.

Note that I have a un-secure AP (no encryption).

Thanks
Comment 23 gdelx001 2007-12-23 16:50:45 EST
(In reply to comment #22)
> I would like to add to this:
> 
> I was using kernel-2.6.23.8-63.fc8 with my iwl3945 working just fine. Then last
> night I did a yum update and got the new kernel kernel-2.6.23.9-85.fc8. When I
> booted into the new kernel my wireless stop working. It was detecting my AP but
> was not getting IP address via dhcp. I did try assiging static IP and manual
> association with the AP but it didn't worked out. Then I added this line to my
> /etc/modprobe.conf
> options iwl3945 disable_hw_scan=1
> and rebooted and it started working.

Second on this.  Worked fine with release 63, failed w/o disabling h/w scan on
release 85.

> 
> Note that I have a un-secure AP (no encryption).
> 


> Thanks

Comment 24 Egon Kastelijn 2007-12-27 19:03:18 EST
I was having the same problem, but I have a different solution.

I had a good working iwl3945 configuration, which stopped working after a yum
update. iwconfig showed the correct information, but I did not get a DHCP
address on the network-card. (the DHCP request was not transmitted according to
tcpdump)
My accesspoint is configured as 802.11b only, and I had the setting "RATE=11M"
in my ifcfg-eth1.
I removed the RATE setting from the config-file, and now everything is working
fine with the new kernel.
Comment 25 Jonathan Underwood 2008-01-08 17:12:34 EST
With 2.6.23.12-101.fc8 and disable_hw_scan=1 on logging in NM manages to get a
connection, but i see in dmesg:

virbr0: no IPv6 routers present
wlan0: Initial auth_alg=0
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: RX authentication from 00:18:4d:07:31:da (alg=0 transaction=2 status=0)
wlan0: authenticated
wlan0: associate with AP 00:18:4d:07:31:da
wlan0: RX AssocResp from 00:18:4d:07:31:da (capab=0x431 status=0 aid=3)
wlan0: associated
wlan0: switched to short barker preamble (BSSID=00:18:4d:07:31:da)
wlan0: WMM queue=2 aci=0 acm=0 aifs=3 cWmin=15 cWmax=1023 burst=0
ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
wlan0: WMM queue=3 aci=1 acm=0 aifs=7 cWmin=15 cWmax=1023 burst=0
wlan0: WMM queue=1 aci=2 acm=0 aifs=2 cWmin=7 cWmax=15 burst=30
wlan0: WMM queue=0 aci=3 acm=0 aifs=2 cWmin=3 cWmax=7 burst=15
WARNING: at net/mac80211/rx.c:1663 __ieee80211_rx() (Not tainted)

Call Trace:
 <IRQ>  [<ffffffff8813b045>] :mac80211:__ieee80211_rx+0x3ed/0xc85
 [<ffffffff881a60ea>] :iwl3945:iwl3945_rx_reply_rx+0x7cf/0x7e1
 [<ffffffff8102d70b>] __wake_up_common+0x3e/0x68
 [<ffffffff8812dd48>] :mac80211:ieee80211_tasklet_handler+0x49/0xcc
 [<ffffffff8103cade>] tasklet_action+0x53/0x9c
 [<ffffffff8103c9ed>] __do_softirq+0x55/0xc3
 [<ffffffff8100cd5c>] call_softirq+0x1c/0x28
 [<ffffffff8100de8d>] do_softirq+0x2c/0x85
 [<ffffffff8103c953>] irq_exit+0x3f/0x84
 [<ffffffff8100e149>] do_IRQ+0x13e/0x161
 [<ffffffff8100c0e1>] ret_from_intr+0x0/0xa
 <EOI>  [<ffffffff811678cf>] acpi_idle_enter_bm+0x265/0x2d1
 [<ffffffff811678c5>] acpi_idle_enter_bm+0x25b/0x2d1
 [<ffffffff811d58e6>] cpuidle_idle_call+0x74/0xa6
 [<ffffffff811d5872>] cpuidle_idle_call+0x0/0xa6
 [<ffffffff8100ae8b>] cpu_idle+0x94/0xbc
 [<ffffffff81431baa>] start_kernel+0x2cf/0x2db
 [<ffffffff81431140>] _sinittext+0x140/0x144
Comment 26 Jonathan Underwood 2008-01-08 17:24:48 EST
And on the next reboort a slightly different stack trace:

virbr0: Dropping NETIF_F_UFO since no NETIF_F_HW_CSUM feature.
ADDRCONF(NETDEV_UP): eth0: link is not ready
ADDRCONF(NETDEV_UP): wlan0: link is not ready
ACPI: PCI Interrupt 0000:00:02.0[A] -> GSI 16 (level, low) -> IRQ 16
[drm] Initialized drm 1.1.0 20060810
[drm] Initialized i915 1.6.0 20060119 on minor 0
virbr0: no IPv6 routers present
wlan0: Initial auth_alg=0
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: RX authentication from 00:18:4d:07:31:da (alg=0 transaction=2 status=0)
wlan0: authenticated
wlan0: associate with AP 00:18:4d:07:31:da
wlan0: RX AssocResp from 00:18:4d:07:31:da (capab=0x431 status=0 aid=3)
wlan0: associated
wlan0: switched to short barker preamble (BSSID=00:18:4d:07:31:da)
wlan0: WMM queue=2 aci=0 acm=0 aifs=3 cWmin=15 cWmax=1023 burst=0
wlan0: WMM queue=3 aci=1 acm=0 aifs=7 cWmin=15 cWmax=1023 burst=0
wlan0: WMM queue=1 aci=2 acm=0 aifs=2 cWmin=7 cWmax=15 burst=30
wlan0: WMM queue=0 aci=3 acm=0 aifs=2 cWmin=3 cWmax=7 burst=15
ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
WARNING: at net/mac80211/rx.c:1663 __ieee80211_rx() (Not tainted)

Call Trace:
 <IRQ>  [<ffffffff880f9045>] :mac80211:__ieee80211_rx+0x3ed/0xc85
 [<ffffffff8816d0ea>] :iwl3945:iwl3945_rx_reply_rx+0x7cf/0x7e1
 [<ffffffff8102de75>] update_curr_load+0x6c/0x82
 [<ffffffff8102f058>] __check_preempt_curr_fair+0x5c/0x7d
 [<ffffffff81030ea1>] try_to_wake_up+0x354/0x366
 [<ffffffff880ebd48>] :mac80211:ieee80211_tasklet_handler+0x49/0xcc
 [<ffffffff8103cade>] tasklet_action+0x53/0x9c
 [<ffffffff8103c9ed>] __do_softirq+0x55/0xc3
 [<ffffffff8100cd5c>] call_softirq+0x1c/0x28
 [<ffffffff8100de8d>] do_softirq+0x2c/0x85
 [<ffffffff8103c953>] irq_exit+0x3f/0x84
 [<ffffffff8100e149>] do_IRQ+0x13e/0x161
 [<ffffffff810bafb6>] sync_buffer+0x0/0x40
 [<ffffffff8100c0e1>] ret_from_intr+0x0/0xa
 <EOI>  [<ffffffff8101bdf7>] lapic_next_event+0x0/0xa
 [<ffffffff81167a9e>] acpi_idle_enter_simple+0x163/0x1cd
 [<ffffffff81167a94>] acpi_idle_enter_simple+0x159/0x1cd
 [<ffffffff811d58e6>] cpuidle_idle_call+0x74/0xa6
 [<ffffffff811d5872>] cpuidle_idle_call+0x0/0xa6
 [<ffffffff8100ae8b>] cpu_idle+0x94/0xbc
 [<ffffffff81431baa>] start_kernel+0x2cf/0x2db
 [<ffffffff81431140>] _sinittext+0x140/0x144
Comment 27 Jonathan Underwood 2008-01-08 17:25:37 EST
Without disable_hw_scan=1 I can't associate with 2.6.23.12-101.fc8
Comment 28 Jonathan Underwood 2008-01-10 20:59:53 EST
After a few days of testing I can report that 2.6.23.12-101.fc8 with
disable_hw_scan=1 is the only kernel so far I have found to be working reliably
since the original kernel on the install media for F8. I still see the warnings
above, but they don't seem to cause problems.
Comment 29 Jonathan Underwood 2008-01-13 08:33:21 EST
Recent kernel observations:
=============================
2.6.23.12-101.fc8: works fine with disable_hw_scan=1, but triggers the warnings
show in comment #25 and comment #26. Does not work without disable_hw_scan=1.

2.6.23.13-105.fc8: does not work with or without disable_hw_scan=1.

2.6.23.13-106.fc8: does not work with or without disable_hw_scan=1.


Further info for kernel 2.6.23.13-105.fc8:
===========================================
With disable_hw_scan=1:
Fails to work, and causes MASSIVE stuttering of the computer while trying to
connect - locking up the display, keyboard, mouse etc for a few hundred
milliseconds  at a time. dmesg output follows

ADDRCONF(NETDEV_UP): eth0: link is not ready
ADDRCONF(NETDEV_UP): wlan0: link is not ready
iwl3945: Microcode SW error detected.  Restarting 0x82000008.
iwl3945: Error Reply type 0x00000005 cmd REPLY_TX (0x1C) seq 0x000B ser 0x0000004B
iwl3945: Error setting new configuration (-5).
ACPI: PCI Interrupt 0000:00:02.0[A] -> GSI 16 (level, low) -> IRQ 16
iwl3945: Can't stop Rx DMA.
iwl3945: Microcode SW error detected.  Restarting 0x82000008.
iwl3945: Error Reply type 0x00000005 cmd REPLY_TX (0x1C) seq 0x0000 ser 0x0000004B
iwl3945: Error setting new configuration (-5).
iwl3945: Can't stop Rx DMA.
iwl3945: Microcode SW error detected.  Restarting 0x82000008.
iwl3945: Error Reply type 0x00000005 cmd REPLY_TX (0x1C) seq 0x0000 ser 0x0000004B
iwl3945: Error setting new configuration (-5).
iwl3945: Can't stop Rx DMA.
[drm] Initialized drm 1.1.0 20060810
[drm] Initialized i915 1.6.0 20060119 on minor 0
iwl3945: Microcode SW error detected.  Restarting 0x82000008.
iwl3945: Error Reply type 0x00000005 cmd REPLY_TX (0x1C) seq 0x0000 ser 0x0000004B
iwl3945: Error setting new configuration (-5).
iwl3945: Can't stop Rx DMA.
virbr0: no IPv6 routers present
iwl3945: Microcode SW error detected.  Restarting 0x82000008.
iwl3945: Error Reply type 0x00000005 cmd REPLY_TX (0x1C) seq 0x000B ser 0x0000004B
iwl3945: Error setting new configuration (-5).
iwl3945: Can't stop Rx DMA.
iwl3945: Microcode SW error detected.  Restarting 0x82000008.
iwl3945: Error Reply type 0x00000005 cmd REPLY_TX (0x1C) seq 0x0000 ser 0x0000004B
iwl3945: Error setting new configuration (-5).
iwl3945: Can't stop Rx DMA.
iwl3945: Microcode SW error detected.  Restarting 0x82000008.
iwl3945: Error Reply type 0x00000005 cmd REPLY_TX (0x1C) seq 0x0000 ser 0x0000004B
iwl3945: Error setting new configuration (-5).
iwl3945: Can't stop Rx DMA.
wlan0: failed to set channel 48 (5240 MHz) for scan
wlan0: failed to set channel 52 (5260 MHz) for scan
wlan0: failed to set channel 56 (5280 MHz) for scan
wlan0: failed to set channel 60 (5300 MHz) for scan
wlan0: failed to set channel 64 (5320 MHz) for scan
wlan0: failed to set channel 100 (5500 MHz) for scan
wlan0: failed to set channel 104 (5520 MHz) for scan
wlan0: failed to set channel 108 (5540 MHz) for scan
wlan0: failed to set channel 112 (5560 MHz) for scan
wlan0: failed to set channel 116 (5580 MHz) for scan
wlan0: failed to set channel 120 (5600 MHz) for scan
wlan0: failed to set channel 124 (5620 MHz) for scan
wlan0: failed to set channel 128 (5640 MHz) for scan
wlan0: failed to set channel 132 (5660 MHz) for scan
wlan0: failed to set channel 136 (5680 MHz) for scan
wlan0: failed to set channel 140 (5700 MHz) for scan
wlan0: failed to restore operational channel after scan
iwl3945: Microcode SW error detected.  Restarting 0x82000008.
iwl3945: Error Reply type 0x00000005 cmd REPLY_TX (0x1C) seq 0x000B ser 0x0000004B
iwl3945: Error setting new configuration (-5).
iwl3945: Can't stop Rx DMA.
iwl3945: Microcode SW error detected.  Restarting 0x82000008.
iwl3945: Error Reply type 0x00000005 cmd REPLY_TX (0x1C) seq 0x0000 ser 0x0000004B
iwl3945: Error setting new configuration (-5).
iwl3945: Can't stop Rx DMA.
iwl3945: Microcode SW error detected.  Restarting 0x82000008.
iwl3945: Error Reply type 0x00000005 cmd REPLY_TX (0x1C) seq 0x0000 ser 0x0000004B
iwl3945: Error setting new configuration (-5).
iwl3945: Can't stop Rx DMA.
wlan0: failed to set channel 48 (5240 MHz) for scan
wlan0: failed to set channel 52 (5260 MHz) for scan
wlan0: failed to set channel 56 (5280 MHz) for scan
wlan0: failed to set channel 60 (5300 MHz) for scan
wlan0: failed to set channel 64 (5320 MHz) for scan
wlan0: failed to set channel 100 (5500 MHz) for scan
wlan0: failed to set channel 104 (5520 MHz) for scan
wlan0: failed to set channel 108 (5540 MHz) for scan
wlan0: failed to set channel 112 (5560 MHz) for scan
wlan0: failed to set channel 116 (5580 MHz) for scan
wlan0: failed to set channel 120 (5600 MHz) for scan
wlan0: failed to set channel 124 (5620 MHz) for scan
wlan0: failed to set channel 128 (5640 MHz) for scan
wlan0: failed to set channel 132 (5660 MHz) for scan
wlan0: failed to set channel 136 (5680 MHz) for scan
wlan0: failed to set channel 140 (5700 MHz) for scan
wlan0: failed to restore operational channel after scan
wlan0: Initial auth_alg=0
wlan0: authenticate with AP 00:18:4d:07:31:da
iwl3945: Microcode HW error detected.  Restarting.
iwl3945: No space for Tx
iwl3945: Error sending POWER_TABLE_CMD: iwl3945_enqueue_hcmd failed: -28
iwl3945: No space for Tx
iwl3945: Error sending REPLY_BT_CONFIG: iwl3945_enqueue_hcmd failed: -28
iwl3945: No space for Tx
iwl3945: Error sending REPLY_RXON: iwl3945_enqueue_hcmd failed: -28
iwl3945: Error setting new configuration (-28).
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: authentication with AP 00:18:4d:07:31:da timed out
iwl3945: Microcode SW error detected.  Restarting 0x82000008.
iwl3945: Error Reply type 0x00000005 cmd REPLY_TX (0x1C) seq 0x000E ser 0x0000004B
iwl3945: Error setting new configuration (-5).
iwl3945: Can't stop Rx DMA.
iwl3945: Microcode SW error detected.  Restarting 0x82000008.
iwl3945: Error Reply type 0x00000005 cmd REPLY_TX (0x1C) seq 0x0000 ser 0x0000004B
iwl3945: Error setting new configuration (-5).
iwl3945: Can't stop Rx DMA.
wlan0: failed to set channel 44 (5220 MHz) for scan
wlan0: failed to set channel 46 (5230 MHz) for scan
wlan0: failed to set channel 48 (5240 MHz) for scan
wlan0: failed to set channel 52 (5260 MHz) for scan
wlan0: failed to set channel 56 (5280 MHz) for scan
wlan0: failed to set channel 60 (5300 MHz) for scan
wlan0: failed to set channel 64 (5320 MHz) for scan
wlan0: failed to set channel 100 (5500 MHz) for scan
wlan0: failed to set channel 104 (5520 MHz) for scan
wlan0: failed to set channel 108 (5540 MHz) for scan
wlan0: failed to set channel 112 (5560 MHz) for scan
wlan0: failed to set channel 116 (5580 MHz) for scan
wlan0: failed to set channel 120 (5600 MHz) for scan
wlan0: failed to set channel 124 (5620 MHz) for scan
wlan0: failed to set channel 128 (5640 MHz) for scan
wlan0: failed to set channel 132 (5660 MHz) for scan
wlan0: failed to set channel 136 (5680 MHz) for scan
wlan0: failed to set channel 140 (5700 MHz) for scan
wlan0: failed to restore operational channel after scan
wlan0: Initial auth_alg=0
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: authentication with AP 00:18:4d:07:31:da timed out
iwl3945: Microcode SW error detected.  Restarting 0x82000008.
iwl3945: Error Reply type 0x00000005 cmd REPLY_TX (0x1C) seq 0x000E ser 0x0000004B
iwl3945: Error setting new configuration (-5).
iwl3945: Can't stop Rx DMA.
wlan0: failed to set channel 40 (5200 MHz) for scan
wlan0: failed to set channel 42 (5210 MHz) for scan
wlan0: failed to set channel 44 (5220 MHz) for scan
wlan0: failed to set channel 46 (5230 MHz) for scan
wlan0: failed to set channel 48 (5240 MHz) for scan
wlan0: failed to set channel 52 (5260 MHz) for scan
wlan0: failed to set channel 56 (5280 MHz) for scan
wlan0: failed to set channel 60 (5300 MHz) for scan
wlan0: failed to set channel 64 (5320 MHz) for scan
wlan0: failed to set channel 100 (5500 MHz) for scan
wlan0: failed to set channel 104 (5520 MHz) for scan
wlan0: failed to set channel 108 (5540 MHz) for scan
wlan0: failed to set channel 112 (5560 MHz) for scan
wlan0: failed to set channel 116 (5580 MHz) for scan
wlan0: failed to set channel 120 (5600 MHz) for scan
wlan0: failed to set channel 124 (5620 MHz) for scan
wlan0: failed to set channel 128 (5640 MHz) for scan
wlan0: failed to set channel 132 (5660 MHz) for scan
wlan0: failed to set channel 136 (5680 MHz) for scan
wlan0: failed to set channel 140 (5700 MHz) for scan
wlan0: failed to restore operational channel after scan
iwl3945: Microcode SW error detected.  Restarting 0x82000008.
iwl3945: Error Reply type 0x00000005 cmd REPLY_TX (0x1C) seq 0x000B ser 0x0000004B
iwl3945: Error setting new configuration (-5).
iwl3945: Can't stop Rx DMA.
iwl3945: Microcode SW error detected.  Restarting 0x82000008.
iwl3945: Error Reply type 0x00000005 cmd REPLY_TX (0x1C) seq 0x0000 ser 0x0000004B
iwl3945: Error setting new configuration (-5).
iwl3945: Can't stop Rx DMA.
wlan0: failed to set channel 44 (5220 MHz) for scan
wlan0: failed to set channel 46 (5230 MHz) for scan
wlan0: failed to set channel 48 (5240 MHz) for scan
wlan0: failed to set channel 52 (5260 MHz) for scan
wlan0: failed to set channel 56 (5280 MHz) for scan
wlan0: failed to set channel 60 (5300 MHz) for scan
wlan0: failed to set channel 64 (5320 MHz) for scan
wlan0: failed to set channel 100 (5500 MHz) for scan
wlan0: failed to set channel 104 (5520 MHz) for scan
wlan0: failed to set channel 108 (5540 MHz) for scan
wlan0: failed to set channel 112 (5560 MHz) for scan
wlan0: failed to set channel 116 (5580 MHz) for scan
wlan0: failed to set channel 120 (5600 MHz) for scan
wlan0: failed to set channel 124 (5620 MHz) for scan
wlan0: failed to set channel 128 (5640 MHz) for scan
wlan0: failed to set channel 132 (5660 MHz) for scan
wlan0: failed to set channel 136 (5680 MHz) for scan
wlan0: failed to set channel 140 (5700 MHz) for scan
wlan0: failed to restore operational channel after scan

Without disable_hw_scan=1:
b44: eth0: powering down PHY
ACPI: PCI interrupt for device 0000:0c:00.0 disabled
ADDRCONF(NETDEV_UP): eth0: link is not ready
iwl3945: Intel(R) PRO/Wireless 3945ABG/BG Network Connection driver for Linux,
1.2.22kds
iwl3945: Copyright(c) 2003-2007 Intel Corporation
ACPI: PCI Interrupt 0000:0c:00.0[A] -> GSI 17 (level, low) -> IRQ 17
PCI: Setting latency timer of device 0000:0c:00.0 to 64
iwl3945: Detected Intel PRO/Wireless 3945ABG Network Connection
iwl3945: Tunable channels: 13 802.11bg, 23 802.11a channels
phy0: Selected rate control algorithm 'iwl-3945-rs'
ADDRCONF(NETDEV_UP): wlan0: link is not ready
wlan0: Initial auth_alg=0
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: RX authentication from 00:18:4d:07:31:da (alg=0 transaction=2 status=0)
wlan0: authenticated
wlan0: associate with AP 00:18:4d:07:31:da
wlan0: RX AssocResp from 00:18:4d:07:31:da (capab=0x431 status=0 aid=1)
wlan0: associated
wlan0: WMM queue=2 aci=0 acm=0 aifs=3 cWmin=15 cWmax=1023 burst=0
wlan0: WMM queue=3 aci=1 acm=0 aifs=7 cWmin=15 cWmax=1023 burst=0
wlan0: WMM queue=1 aci=2 acm=0 aifs=2 cWmin=7 cWmax=15 burst=30
wlan0: WMM queue=0 aci=3 acm=0 aifs=2 cWmin=3 cWmax=7 burst=15
ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
wlan0: RX deauthentication from 00:18:4d:07:31:da (reason=2)
wlan0: deauthenticated
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: RX authentication from 00:18:4d:07:31:da (alg=0 transaction=2 status=0)
wlan0: authenticated
wlan0: associate with AP 00:18:4d:07:31:da
wlan0: RX ReassocResp from 00:18:4d:07:31:da (capab=0x431 status=0 aid=1)
wlan0: associated
wlan0: RX deauthentication from 00:18:4d:07:31:da (reason=2)
wlan0: deauthenticated
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: RX authentication from 00:18:4d:07:31:da (alg=0 transaction=2 status=0)
wlan0: authenticated
wlan0: associate with AP 00:18:4d:07:31:da
wlan0: RX ReassocResp from 00:18:4d:07:31:da (capab=0x431 status=0 aid=1)
wlan0: associated
wlan0: no IPv6 routers present
wlan0: RX deauthentication from 00:18:4d:07:31:da (reason=2)
wlan0: deauthenticated
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: RX authentication from 00:18:4d:07:31:da (alg=0 transaction=2 status=0)
wlan0: authenticated
wlan0: associate with AP 00:18:4d:07:31:da
wlan0: RX ReassocResp from 00:18:4d:07:31:da (capab=0x431 status=0 aid=1)
wlan0: associated
wlan0: RX deauthentication from 00:18:4d:07:31:da (reason=2)
wlan0: deauthenticated
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: RX authentication from 00:18:4d:07:31:da (alg=0 transaction=2 status=0)
wlan0: authenticated
wlan0: associate with AP 00:18:4d:07:31:da
wlan0: RX ReassocResp from 00:18:4d:07:31:da (capab=0x431 status=0 aid=1)
wlan0: associated
wlan0: RX deauthentication from 00:18:4d:07:31:da (reason=2)
wlan0: deauthenticated
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: RX authentication from 00:18:4d:07:31:da (alg=0 transaction=2 status=0)
wlan0: authenticated
wlan0: associate with AP 00:18:4d:07:31:da
wlan0: RX ReassocResp from 00:18:4d:07:31:da (capab=0x431 status=0 aid=1)
wlan0: associated
wlan0: RX deauthentication from 00:18:4d:07:31:da (reason=2)
wlan0: deauthenticated
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: RX authentication from 00:18:4d:07:31:da (alg=0 transaction=2 status=0)
wlan0: authenticated
wlan0: associate with AP 00:18:4d:07:31:da
wlan0: RX ReassocResp from 00:18:4d:07:31:da (capab=0x431 status=0 aid=1)
wlan0: associated
wlan0: RX deauthentication from 00:18:4d:07:31:da (reason=2)
wlan0: deauthenticated
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: RX authentication from 00:18:4d:07:31:da (alg=0 transaction=2 status=0)
wlan0: authenticated
wlan0: associate with AP 00:18:4d:07:31:da
wlan0: RX ReassocResp from 00:18:4d:07:31:da (capab=0x431 status=0 aid=1)
wlan0: associated
wlan0: RX deauthentication from 00:18:4d:07:31:da (reason=2)
wlan0: deauthenticated
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: RX authentication from 00:18:4d:07:31:da (alg=0 transaction=2 status=0)
wlan0: authenticated
wlan0: associate with AP 00:18:4d:07:31:da
wlan0: RX ReassocResp from 00:18:4d:07:31:da (capab=0x431 status=0 aid=1)
wlan0: associated
wlan0: RX deauthentication from 00:18:4d:07:31:da (reason=2)
wlan0: deauthenticated
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: RX authentication from 00:18:4d:07:31:da (alg=0 transaction=2 status=0)
wlan0: authenticated
wlan0: associate with AP 00:18:4d:07:31:da
wlan0: RX ReassocResp from 00:18:4d:07:31:da (capab=0x431 status=0 aid=1)
wlan0: associated
wlan0: RX deauthentication from 00:18:4d:07:31:da (reason=2)
wlan0: deauthenticated
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: RX authentication from 00:18:4d:07:31:da (alg=0 transaction=2 status=0)
wlan0: authenticated
wlan0: associate with AP 00:18:4d:07:31:da
wlan0: RX ReassocResp from 00:18:4d:07:31:da (capab=0x431 status=0 aid=1)
wlan0: associated
wlan0: RX deauthentication from 00:18:4d:07:31:da (reason=2)
wlan0: deauthenticated
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: RX authentication from 00:18:4d:07:31:da (alg=0 transaction=2 status=0)
wlan0: authenticated
wlan0: associate with AP 00:18:4d:07:31:da
wlan0: RX ReassocResp from 00:18:4d:07:31:da (capab=0x431 status=0 aid=1)
wlan0: associated
wlan0: RX deauthentication from 00:18:4d:07:31:da (reason=2)
wlan0: deauthenticated
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: RX authentication from 00:18:4d:07:31:da (alg=0 transaction=2 status=0)
wlan0: authenticated
wlan0: associate with AP 00:18:4d:07:31:da
wlan0: RX ReassocResp from 00:18:4d:07:31:da (capab=0x431 status=0 aid=1)
wlan0: associated
wlan0: RX deauthentication from 00:18:4d:07:31:da (reason=2)
wlan0: deauthenticated

With repeated request for the wireless key.


Further info for kernel 2.6.23.13-106.fc8:
===========================================
Intermittent and variable behaviour. On a fresh boot without disable_hw_scan=1
it manages to associate, and the following is in dmesg

Bridge firewalling registered
virbr0: Dropping NETIF_F_UFO since no NETIF_F_HW_CSUM feature.
virbr0: starting userspace STP failed, starting kernel STP
ADDRCONF(NETDEV_UP): eth0: link is not ready
ADDRCONF(NETDEV_UP): wlan0: link is not ready
ACPI: PCI Interrupt 0000:00:02.0[A] -> GSI 16 (level, low) -> IRQ 16
[drm] Initialized drm 1.1.0 20060810
[drm] Initialized i915 1.6.0 20060119 on minor 0
virbr0: no IPv6 routers present
wlan0: Initial auth_alg=0
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: RX authentication from 00:18:4d:07:31:da (alg=0 transaction=2 status=0)
wlan0: authenticated
wlan0: associate with AP 00:18:4d:07:31:da
wlan0: RX AssocResp from 00:18:4d:07:31:da (capab=0x431 status=0 aid=1)
wlan0: associated
wlan0: WMM queue=2 aci=0 acm=0 aifs=3 cWmin=15 cWmax=1023 burst=0
ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
wlan0: WMM queue=3 aci=1 acm=0 aifs=7 cWmin=15 cWmax=1023 burst=0
wlan0: WMM queue=1 aci=2 acm=0 aifs=2 cWmin=7 cWmax=15 burst=30
wlan0: WMM queue=0 aci=3 acm=0 aifs=2 cWmin=3 cWmax=7 burst=15
WARNING: at net/mac80211/rx.c:1693 __ieee80211_rx_handle_packet() (Not tainted)

Call Trace:
 <IRQ>  [<ffffffff880d730e>] :mac80211:__ieee80211_rx_handle_packet+0xac/0x8fc
 [<ffffffff881540bf>] :iwl3945:iwl3945_rx_reply_rx+0x7cf/0x7e1
 [<ffffffff8102f1ed>] __update_rq_clock+0x1a/0xed
 [<ffffffff8102f1ed>] __update_rq_clock+0x1a/0xed
 [<ffffffff8125d1d9>] _read_lock_bh+0x9/0x19
 [<ffffffff880cc3c0>] :mac80211:sta_info_get+0x57/0x5f
 [<ffffffff880c9d44>] :mac80211:ieee80211_tasklet_handler+0x49/0xcc
 [<ffffffff8103cade>] tasklet_action+0x53/0x9c
 [<ffffffff8104dca3>] clocksource_get_next+0x46/0x4f
 [<ffffffff8103c9ed>] __do_softirq+0x55/0xc3
 [<ffffffff8100cd5c>] call_softirq+0x1c/0x28
 [<ffffffff8100de8d>] do_softirq+0x2c/0x85
 [<ffffffff8103c953>] irq_exit+0x3f/0x84
 [<ffffffff8100e149>] do_IRQ+0x13e/0x161
 [<ffffffff8100c0e1>] ret_from_intr+0x0/0xa
 <EOI>  [<ffffffff81167aab>] acpi_idle_enter_bm+0x265/0x2d1
 [<ffffffff81167aa1>] acpi_idle_enter_bm+0x25b/0x2d1
 [<ffffffff811d5ace>] cpuidle_idle_call+0x74/0xa6
 [<ffffffff811d5a5a>] cpuidle_idle_call+0x0/0xa6
 [<ffffffff8100ae8b>] cpu_idle+0x94/0xbc
 [<ffffffff81431baa>] start_kernel+0x2cf/0x2db
 [<ffffffff81431140>] _sinittext+0x140/0x144

wlan0: no IPv6 routers present

If I then stop NM, modprobe -r iwl3945 mac80211, add disable_hw_scan=1 and
start NM and modprobe iwl3945 it fails to associate and I see this in dmesg:

b44: eth0: powering down PHY
wlan0: Initial auth_alg=0
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: RX authentication from 00:18:4d:07:31:da (alg=0 transaction=2 status=0)
wlan0: authenticated
wlan0: associate with AP 00:18:4d:07:31:da
wlan0: disassociate(reason=3)
wlan0: RX AssocResp from 00:18:4d:07:31:da (capab=0x431 status=0 aid=1)
wlan0: associated
wlan0: WMM queue=2 aci=0 acm=0 aifs=3 cWmin=15 cWmax=1023 burst=0
wlan0: WMM queue=3 aci=1 acm=0 aifs=7 cWmin=15 cWmax=1023 burst=0
wlan0: WMM queue=1 aci=2 acm=0 aifs=2 cWmin=7 cWmax=15 burst=30
wlan0: WMM queue=0 aci=3 acm=0 aifs=2 cWmin=3 cWmax=7 burst=15
wlan0: disassociate(reason=3)
rx BA session requested to stop on inactive tid 0
rx BA session requested to stop on inactive tid 1
rx BA session requested to stop on inactive tid 2
rx BA session requested to stop on inactive tid 3
rx BA session requested to stop on inactive tid 4
rx BA session requested to stop on inactive tid 5
rx BA session requested to stop on inactive tid 6
rx BA session requested to stop on inactive tid 7
rx BA session requested to stop on inactive tid 8
rx BA session requested to stop on inactive tid 9
ACPI: PCI interrupt for device 0000:0c:00.0 disabled
ADDRCONF(NETDEV_UP): eth0: link is not ready
iwl3945: Intel(R) PRO/Wireless 3945ABG/BG Network Connection driver for Linux,
1.2.22kds
iwl3945: Copyright(c) 2003-2007 Intel Corporation
ACPI: PCI Interrupt 0000:0c:00.0[A] -> GSI 17 (level, low) -> IRQ 17
PCI: Setting latency timer of device 0000:0c:00.0 to 64
iwl3945: Detected Intel PRO/Wireless 3945ABG Network Connection
iwl3945: Tunable channels: 13 802.11bg, 23 802.11a channels
phy0: Selected rate control algorithm 'iwl-3945-rs'
ADDRCONF(NETDEV_UP): wlan0: link is not ready
iwl3945: Microcode SW error detected.  Restarting 0x82000008.
iwl3945: Error Reply type 0x00000005 cmd REPLY_TX (0x1C) seq 0x000B ser 0x0000004B
iwl3945: Error setting new configuration (-5).
iwl3945: Can't stop Rx DMA.
iwl3945: Microcode SW error detected.  Restarting 0x82000008.
iwl3945: Error Reply type 0x00000005 cmd REPLY_TX (0x1C) seq 0x0000 ser 0x0000004B
iwl3945: Error setting new configuration (-5).
iwl3945: Can't stop Rx DMA.
iwl3945: Microcode SW error detected.  Restarting 0x82000008.
iwl3945: Error Reply type 0x00000005 cmd REPLY_TX (0x1C) seq 0x0000 ser 0x0000004B
iwl3945: Error setting new configuration (-5).
iwl3945: Can't stop Rx DMA.
wlan0: failed to set channel 48 (5240 MHz) for scan
wlan0: failed to set channel 52 (5260 MHz) for scan
wlan0: failed to set channel 56 (5280 MHz) for scan
wlan0: failed to set channel 60 (5300 MHz) for scan
wlan0: failed to set channel 64 (5320 MHz) for scan
wlan0: failed to set channel 100 (5500 MHz) for scan
wlan0: failed to set channel 104 (5520 MHz) for scan
wlan0: failed to set channel 108 (5540 MHz) for scan
wlan0: failed to set channel 112 (5560 MHz) for scan
wlan0: failed to set channel 116 (5580 MHz) for scan
wlan0: failed to set channel 120 (5600 MHz) for scan
wlan0: failed to set channel 124 (5620 MHz) for scan
wlan0: failed to set channel 128 (5640 MHz) for scan
wlan0: failed to set channel 132 (5660 MHz) for scan
wlan0: failed to set channel 136 (5680 MHz) for scan
wlan0: failed to set channel 140 (5700 MHz) for scan
wlan0: failed to restore operational channel after scan
iwl3945: Microcode SW error detected.  Restarting 0x82000008.
iwl3945: Error Reply type 0x00000005 cmd REPLY_TX (0x1C) seq 0x000B ser 0x0000004B
iwl3945: Error setting new configuration (-5).
iwl3945: Can't stop Rx DMA.
iwl3945: Microcode SW error detected.  Restarting 0x82000008.
iwl3945: Error Reply type 0x00000005 cmd REPLY_TX (0x1C) seq 0x0000 ser 0x0000004B
iwl3945: Error setting new configuration (-5).
iwl3945: Can't stop Rx DMA.
wlan0: failed to set channel 44 (5220 MHz) for scan
wlan0: failed to set channel 46 (5230 MHz) for scan
wlan0: failed to set channel 48 (5240 MHz) for scan
wlan0: failed to set channel 52 (5260 MHz) for scan
wlan0: failed to set channel 56 (5280 MHz) for scan
wlan0: failed to set channel 60 (5300 MHz) for scan
wlan0: failed to set channel 64 (5320 MHz) for scan
wlan0: failed to set channel 100 (5500 MHz) for scan
wlan0: failed to set channel 104 (5520 MHz) for scan
wlan0: failed to set channel 108 (5540 MHz) for scan
wlan0: failed to set channel 112 (5560 MHz) for scan
wlan0: failed to set channel 116 (5580 MHz) for scan
wlan0: failed to set channel 120 (5600 MHz) for scan
wlan0: failed to set channel 124 (5620 MHz) for scan
wlan0: failed to set channel 128 (5640 MHz) for scan
wlan0: failed to set channel 132 (5660 MHz) for scan
wlan0: failed to set channel 136 (5680 MHz) for scan
wlan0: failed to set channel 140 (5700 MHz) for scan
wlan0: failed to restore operational channel after scan

iwlist scan does however list local access points.

However, removing disable_hw_scan=1, stopping NM, removeing and reloading
iwl3945 and mac80211 and restarting NM does not lead to a connection, and in
dmesg I see

b44: eth0: powering down PHY
ACPI: PCI interrupt for device 0000:0c:00.0 disabled
ADDRCONF(NETDEV_UP): eth0: link is not ready
iwl3945: Intel(R) PRO/Wireless 3945ABG/BG Network Connection driver for Linux,
1.2.22kds
iwl3945: Copyright(c) 2003-2007 Intel Corporation
ACPI: PCI Interrupt 0000:0c:00.0[A] -> GSI 17 (level, low) -> IRQ 17
PCI: Setting latency timer of device 0000:0c:00.0 to 64
iwl3945: Detected Intel PRO/Wireless 3945ABG Network Connection
iwl3945: Tunable channels: 13 802.11bg, 23 802.11a channels
phy0: Selected rate control algorithm 'iwl-3945-rs'
ADDRCONF(NETDEV_UP): wlan0: link is not ready

iwlist scan returns only the strongest signal AP at this point.

Doing service NetworkManager restart a few times at this point eventually
gives rise to being asked for the wireless key repeatedly, but no connection
is established. In dmesg I see:

b44: eth0: powering down PHY
ADDRCONF(NETDEV_UP): eth0: link is not ready
ADDRCONF(NETDEV_UP): wlan0: link is not ready
b44: eth0: powering down PHY
ADDRCONF(NETDEV_UP): eth0: link is not ready
ADDRCONF(NETDEV_UP): wlan0: link is not ready
wlan0: Initial auth_alg=0
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: RX authentication from 00:18:4d:07:31:da (alg=0 transaction=2 status=0)
wlan0: authenticated
wlan0: associate with AP 00:18:4d:07:31:da
wlan0: RX AssocResp from 00:18:4d:07:31:da (capab=0x431 status=0 aid=1)
wlan0: associated
wlan0: WMM queue=2 aci=0 acm=0 aifs=3 cWmin=15 cWmax=1023 burst=0
wlan0: WMM queue=3 aci=1 acm=0 aifs=7 cWmin=15 cWmax=1023 burst=0
wlan0: WMM queue=1 aci=2 acm=0 aifs=2 cWmin=7 cWmax=15 burst=30
wlan0: WMM queue=0 aci=3 acm=0 aifs=2 cWmin=3 cWmax=7 burst=15
ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
wlan0: RX deauthentication from 00:18:4d:07:31:da (reason=2)
wlan0: deauthenticated
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: RX authentication from 00:18:4d:07:31:da (alg=0 transaction=2 status=0)
wlan0: authenticated
wlan0: associate with AP 00:18:4d:07:31:da
wlan0: RX ReassocResp from 00:18:4d:07:31:da (capab=0x431 status=0 aid=1)
wlan0: associated
wlan0: RX deauthentication from 00:18:4d:07:31:da (reason=2)
wlan0: deauthenticated
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: RX authentication from 00:18:4d:07:31:da (alg=0 transaction=2 status=0)
wlan0: authenticated
wlan0: associate with AP 00:18:4d:07:31:da
wlan0: RX ReassocResp from 00:18:4d:07:31:da (capab=0x431 status=0 aid=1)
wlan0: associated
wlan0: no IPv6 routers present
wlan0: RX deauthentication from 00:18:4d:07:31:da (reason=2)
wlan0: deauthenticated
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: RX authentication from 00:18:4d:07:31:da (alg=0 transaction=2 status=0)
wlan0: authenticated
wlan0: associate with AP 00:18:4d:07:31:da
wlan0: RX ReassocResp from 00:18:4d:07:31:da (capab=0x431 status=0 aid=1)
wlan0: associated
wlan0: RX deauthentication from 00:18:4d:07:31:da (reason=2)
wlan0: deauthenticated
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: RX authentication from 00:18:4d:07:31:da (alg=0 transaction=2 status=0)
wlan0: authenticated
wlan0: associate with AP 00:18:4d:07:31:da
wlan0: RX ReassocResp from 00:18:4d:07:31:da (capab=0x431 status=0 aid=1)
wlan0: associated
wlan0: RX deauthentication from 00:18:4d:07:31:da (reason=2)
wlan0: deauthenticated
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: RX authentication from 00:18:4d:07:31:da (alg=0 transaction=2 status=0)
wlan0: authenticated
wlan0: associate with AP 00:18:4d:07:31:da
wlan0: RX ReassocResp from 00:18:4d:07:31:da (capab=0x431 status=0 aid=1)
wlan0: associated
wlan0: RX deauthentication from 00:18:4d:07:31:da (reason=2)
wlan0: deauthenticated
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: RX authentication from 00:18:4d:07:31:da (alg=0 transaction=2 status=0)
wlan0: authenticated
wlan0: associate with AP 00:18:4d:07:31:da
wlan0: RX ReassocResp from 00:18:4d:07:31:da (capab=0x431 status=0 aid=1)
wlan0: associated
wlan0: RX deauthentication from 00:18:4d:07:31:da (reason=2)
wlan0: deauthenticated
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: RX authentication from 00:18:4d:07:31:da (alg=0 transaction=2 status=0)
wlan0: authenticated
wlan0: associate with AP 00:18:4d:07:31:da
wlan0: RX ReassocResp from 00:18:4d:07:31:da (capab=0x431 status=0 aid=1)
wlan0: associated
wlan0: RX deauthentication from 00:18:4d:07:31:da (reason=2)
wlan0: deauthenticated
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: RX authentication from 00:18:4d:07:31:da (alg=0 transaction=2 status=0)
wlan0: authenticated
wlan0: associate with AP 00:18:4d:07:31:da
wlan0: RX ReassocResp from 00:18:4d:07:31:da (capab=0x431 status=0 aid=1)
wlan0: associated
wlan0: RX deauthentication from 00:18:4d:07:31:da (reason=2)
wlan0: deauthenticated
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: RX authentication from 00:18:4d:07:31:da (alg=0 transaction=2 status=0)
wlan0: authenticated
wlan0: associate with AP 00:18:4d:07:31:da
wlan0: RX ReassocResp from 00:18:4d:07:31:da (capab=0x431 status=0 aid=1)
wlan0: associated
wlan0: RX deauthentication from 00:18:4d:07:31:da (reason=2)
wlan0: deauthenticated
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: RX authentication from 00:18:4d:07:31:da (alg=0 transaction=2 status=0)
wlan0: authenticated
wlan0: associate with AP 00:18:4d:07:31:da
wlan0: RX ReassocResp from 00:18:4d:07:31:da (capab=0x431 status=0 aid=1)
wlan0: associated
wlan0: RX deauthentication from 00:18:4d:07:31:da (reason=2)
wlan0: deauthenticated
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: RX authentication from 00:18:4d:07:31:da (alg=0 transaction=2 status=0)
wlan0: authenticated
wlan0: associate with AP 00:18:4d:07:31:da
wlan0: RX ReassocResp from 00:18:4d:07:31:da (capab=0x431 status=0 aid=1)
wlan0: associated
wlan0: RX deauthentication from 00:18:4d:07:31:da (reason=2)
wlan0: deauthenticated
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: RX authentication from 00:18:4d:07:31:da (alg=0 transaction=2 status=0)
wlan0: authenticated
wlan0: associate with AP 00:18:4d:07:31:da
wlan0: RX ReassocResp from 00:18:4d:07:31:da (capab=0x431 status=0 aid=1)
wlan0: associated
wlan0: RX deauthentication from 00:18:4d:07:31:da (reason=2)
wlan0: deauthenticated
Comment 30 Jonathan Underwood 2008-01-15 16:01:19 EST
A slightly different variation of the backtrace for 2.6.23.13-106.fc8 without
options iwl3945 disable_hw_scan=1 on an occasion when it succesfully connects.


wlan0: Initial auth_alg=0
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: RX authentication from 00:18:4d:07:31:da (alg=0 transaction=2 status=0)
wlan0: authenticated
wlan0: associate with AP 00:18:4d:07:31:da
wlan0: RX AssocResp from 00:18:4d:07:31:da (capab=0x431 status=0 aid=2)
wlan0: associated
wlan0: WMM queue=2 aci=0 acm=0 aifs=3 cWmin=15 cWmax=1023 burst=0
wlan0: WMM queue=3 aci=1 acm=0 aifs=7 cWmin=15 cWmax=1023 burst=0
wlan0: WMM queue=1 aci=2 acm=0 aifs=2 cWmin=7 cWmax=15 burst=30
wlan0: WMM queue=0 aci=3 acm=0 aifs=2 cWmin=3 cWmax=7 burst=15
ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
WARNING: at net/mac80211/rx.c:1693 __ieee80211_rx_handle_packet() (Not tainted)

Call Trace:
 <IRQ>  [<ffffffff881a630e>] :mac80211:__ieee80211_rx_handle_packet+0xac/0x8fc
 [<ffffffff881d20bf>] :iwl3945:iwl3945_rx_reply_rx+0x7cf/0x7e1
 [<ffffffff8102f1ed>] __update_rq_clock+0x1a/0xed
 [<ffffffff8102f1ed>] __update_rq_clock+0x1a/0xed
 [<ffffffff8125d1d9>] _read_lock_bh+0x9/0x19
 [<ffffffff8819b3c0>] :mac80211:sta_info_get+0x57/0x5f
 [<ffffffff810bb176>] sync_buffer+0x0/0x40
 [<ffffffff88198d44>] :mac80211:ieee80211_tasklet_handler+0x49/0xcc
 [<ffffffff8103cade>] tasklet_action+0x53/0x9c
 [<ffffffff8103c9ed>] __do_softirq+0x55/0xc3
 [<ffffffff8100cd5c>] call_softirq+0x1c/0x28
 [<ffffffff8100de8d>] do_softirq+0x2c/0x85
 [<ffffffff8103c953>] irq_exit+0x3f/0x84
 [<ffffffff8100e149>] do_IRQ+0x13e/0x161
 [<ffffffff810bb176>] sync_buffer+0x0/0x40
 [<ffffffff8100c0e1>] ret_from_intr+0x0/0xa
 <EOI>  [<ffffffff8808cf6e>] :libata:ata_exec_command+0x0/0x2a
 [<ffffffff8125d2a3>] _spin_unlock_irqrestore+0x8/0x9
 [<ffffffff88054d3e>] :scsi_mod:scsi_dispatch_cmd+0x232/0x2b5
 [<ffffffff8805a3c1>] :scsi_mod:scsi_request_fn+0x2c7/0x396
 [<ffffffff81113bcc>] generic_unplug_device+0x18/0x28
 [<ffffffff81114a7d>] blk_backing_dev_unplug+0x5b/0x61
 [<ffffffff81049570>] prepare_to_wait+0x34/0x5d
 [<ffffffff810bb1ac>] sync_buffer+0x36/0x40
 [<ffffffff8125c15f>] __wait_on_bit+0x40/0x6f
 [<ffffffff810bb176>] sync_buffer+0x0/0x40
 [<ffffffff8125c1fa>] out_of_line_wait_on_bit+0x6c/0x78
 [<ffffffff81049423>] wake_bit_function+0x0/0x23
 [<ffffffff810bbd42>] sync_dirty_buffer+0xb6/0xea
 [<ffffffff88025d89>] :jbd:journal_commit_transaction+0xb8f/0x1066
 [<ffffffff8103f76b>] lock_timer_base+0x26/0x4b
 [<ffffffff880290e8>] :jbd:kjournald+0xb9/0x212
 [<ffffffff810493f5>] autoremove_wake_function+0x0/0x2e
 [<ffffffff8802902f>] :jbd:kjournald+0x0/0x212
 [<ffffffff810492a0>] kthread+0x47/0x73
 [<ffffffff8100c9e8>] child_rip+0xa/0x12
 [<ffffffff8101bdf7>] lapic_next_event+0x0/0xa
 [<ffffffff81049259>] kthread+0x0/0x73
 [<ffffffff8100c9de>] child_rip+0x0/0x12

wlan0: no IPv6 routers present
wlan0: WMM queue=2 aci=0 acm=0 aifs=2 cWmin=15 cWmax=1023 burst=20
wlan0: WMM queue=3 aci=1 acm=0 aifs=7 cWmin=15 cWmax=1023 burst=0
wlan0: WMM queue=1 aci=2 acm=0 aifs=2 cWmin=7 cWmax=15 burst=30
wlan0: WMM queue=0 aci=3 acm=0 aifs=2 cWmin=3 cWmax=7 burst=15
wlan0: WMM queue=2 aci=0 acm=0 aifs=3 cWmin=15 cWmax=1023 burst=0
wlan0: WMM queue=3 aci=1 acm=0 aifs=7 cWmin=15 cWmax=1023 burst=0
wlan0: WMM queue=1 aci=2 acm=0 aifs=2 cWmin=7 cWmax=15 burst=30
wlan0: WMM queue=0 aci=3 acm=0 aifs=2 cWmin=3 cWmax=7 burst=15
Comment 31 John W. Linville 2008-01-15 16:17:52 EST
That WARNING is a known issue with at worst minor performance impacts.  It can 
be safely ignored.
Comment 32 Jonathan Underwood 2008-01-15 18:59:07 EST
(In reply to comment #31)
> That WARNING is a known issue with at worst minor performance impacts.  It can 
> be safely ignored.

Oh, ok, won't post any more of those then. Is the info I am posting even vaguely
helpful though - I don't want to keep spamming if not.
Comment 33 John W. Linville 2008-01-16 09:32:37 EST
It is a good level of detail overall.  Unfortunately I have been unable to 
replicate the problem on my 3945-equipped Vaio.  I will keep monitoring the 
issue along with upstream developments.  It might be helpful for you to 
communicate with the upstream team at http://www.intellinuxwireless.org if you 
have the chance.  The have a mailing list at 
http://lists.sourceforge.net/mailman/listinfo/ipw3945-devel as well.
Comment 34 Jason Grant 2008-01-26 03:31:23 EST
I have been watching this bug for some time, after experiencing this issue too.
 I have a Dell XPS M1210.

The following kernel is in updates now

   2.6.23.14-107

Is it worth a try?

Also, I have looked at the upstream list given in #33, however cannot see that
they are aware of this fault.
Comment 35 Jonathan Underwood 2008-01-28 17:09:18 EST
107 is a no go for me. The last one I can get to work reliably is 101, but only
with disable_hw_scan=1.

123 doesn't work.
Comment 36 Jason Grant 2008-01-28 17:47:41 EST
107 is bad for me too.  Sometimes after a [cold] boot, it works fine.  Most of
the time however, it produces the log messages below, and fails.  Once or twice
I have been able to get operational wireless by powering off the laptop, then
restarting.  This makes me suspect that the fault may be due to inadequate
initialisation by the software.  I have not messed with disable_hw_scan.

I am building custom kernels to test USB audio suspend support, so I will
happily apply wireless patches and test them if someone can suggest same.  Not
sure if this is a Fedora thing, or upstream.

Jan 27 15:14:08 speck kernel: iwl3945: Microcode SW error detected.  Restarting
0x82000008.
Jan 27 15:14:08 speck kernel: iwl3945: Error Reply type 0x00000005 cmd REPLY_TX
(0x1C) seq 0x000B ser 0x0000004B
Jan 27 15:14:08 speck kernel: iwl3945: Error setting new configuration (-5).
Jan 27 15:14:09 speck kernel: iwl3945: Can't stop Rx DMA.
Jan 27 15:14:09 speck kernel: psmouse.c: TouchPad at isa0060/serio1/input0 lost
synchronization, throwing 2 bytes away.
Jan 27 15:14:09 speck NetworkManager: <info>  (wlan0) Supplicant interface state
change: 2 -> 3
Jan 27 15:14:09 speck NetworkManager: <info>  (wlan0) Supplicant interface state
change: 3 -> 4
Jan 27 15:14:19 speck NetworkManager: <info>  (wlan0) Supplicant interface state
change: 4 -> 0
Jan 27 15:14:19 speck NetworkManager: <info>  (wlan0) Supplicant interface state
change: 0 -> 2
Jan 27 15:14:19 speck NetworkManager: <info>  (wlan0) Supplicant interface state
change: 2 -> 0
Jan 27 15:14:21 speck kernel: iwl3945: Microcode SW error detected.  Restarting
0x82000008.
Jan 27 15:14:21 speck kernel: iwl3945: Error Reply type 0x00000005 cmd REPLY_TX
(0x1C) seq 0x0010 ser 0x0000004B
Jan 27 15:14:21 speck kernel: iwl3945: Error clearing ASSOC_MSK on current
configuration (-5).
Jan 27 15:14:22 speck kernel: iwl3945: Can't stop Rx DMA.
Jan 27 15:14:22 speck NetworkManager: <info>  (wlan0) Supplicant interface state
change: 0 -> 3
Jan 27 15:14:22 speck NetworkManager: <info>  Activation (wlan0) Stage 1 of 5
(Device Prepare) scheduled...
Jan 27 15:14:22 speck NetworkManager: <info>  Activation (wlan0) Stage 1 of 5
(Device Prepare) started...
Jan 27 15:14:22 speck NetworkManager: <info>  Activation (wlan0) Stage 2 of 5
(Device Configure) scheduled...
Jan 27 15:14:22 speck NetworkManager: <info>  Activation (wlan0) Stage 1 of 5
(Device Prepare) complete.
Jan 27 15:14:22 speck NetworkManager: <info>  Activation (wlan0) Stage 2 of 5
(Device Configure) starting...
Jan 27 15:14:22 speck NetworkManager: <info>  Activation (wlan0/wireless):
connection 'Auto logularWireless' has security, and secrets exist.  No new
secrets needed.
Jan 27 15:14:22 speck NetworkManager: <info>  Config: added 'ssid' value
'logularWireless'
Jan 27 15:14:22 speck NetworkManager: <info>  Config: added 'key_mgmt' value
'WPA-PSK'
Jan 27 15:14:22 speck NetworkManager: <info>  Config: added 'psk' value '<omitted>'
Jan 27 15:14:22 speck NetworkManager: <info>  Config: added 'proto' value 'WPA RSN'
Jan 27 15:14:22 speck NetworkManager: <info>  Config: added 'pairwise' value
'TKIP CCMP'
Jan 27 15:14:22 speck NetworkManager: <info>  Config: added 'group' value 'WEP40
WEP104 TKIP CCMP'
Jan 27 15:14:22 speck NetworkManager: <info>  Activation (wlan0) Stage 2 of 5
(Device Configure) complete.
Jan 27 15:14:22 speck NetworkManager: <info>  (wlan0) Supplicant interface state
change: 3 -> 0
Jan 27 15:14:22 speck NetworkManager: <info>  (wlan0) Supplicant interface state
change: 0 -> 2
Comment 37 Jonathan Underwood 2008-01-28 19:46:18 EST
John,

I am in the process of taking this upstream. However, as I understand it, all of
these kernels have had different checkouts of the iwlwifi code from upstream
git. Is there anyway the intel folks can determine what git tip has been used
for each kernel?
Comment 38 Jonathan Underwood 2008-01-28 20:11:36 EST
OK, have taken this upstream. The two relevant bugs are:

Failing to associate with AP:
http://bughost.org/bugzilla/show_bug.cgi?id=1583

SW errors with disable_hw_scan=1
http://bughost.org/bugzilla/show_bug.cgi?id=1534

I don't think there's any point adding more info here - I encourage all
interested to add information to the upstream reports.
Comment 40 John W. Linville 2008-02-19 15:08:46 EST
Someone internal to Red Hat sent me a Lenovo T60P that they claimed had this 
same problem.  However it is working just fine here in my environment (three 
openwrt APs on same SSID, w/ WEP encryption).

It looks like you are using WPA.  Is that WPA "personal" or "enterprise" 
(using NM's parlance)?  What frequency are you using?  Are there other APs in 
the area?  I'm just wondering what differences in our configurations might 
account for the misbehavior you are seeing.
Comment 41 Jonathan Underwood 2008-02-19 16:02:25 EST
I was using WPA-PSK ("personal").

There are several other APs in the area (5 or 6).

I have taken this upstream (see bug reports above), and have also been following
similar issues people are having on the ipw3945 mailing list - it does seem like
it is an issue only when more than one AP is in range. Unfortunately I can't
test this theory though, as I can't find anywhere where only one AP is in range!
Comment 42 Jonathan Underwood 2008-02-22 17:13:51 EST
With kernel-2.6.24.2-10.fc8 I now see reproducible association with
disable_hw_scan=1. 

Without disable_hw_scan=1, I can't associate with the AP.
Comment 43 John W. Linville 2008-03-05 07:11:29 EST
Could you try the kernels here?

   http://koji.fedoraproject.org/koji/buildinfo?buildID=41351

They contain (a slightly modified version of) the patch referenced here:

   http://koji.fedoraproject.org/koji/buildinfo?buildID=41351

Do these make it work w/o disabling the HW scan?
Comment 44 Jonathan Underwood 2008-03-06 14:13:09 EST
Am in the process of moving apartment, but will be able to check this at the
weekend.
Comment 45 Jonathan Underwood 2008-03-06 19:32:20 EST
OK, was able to check this this evening. 

Installed  kernel-2.6.24.3-18.fc8.x86_64.rpm. Rebooted with disable_hw_scan=1,
and associated with the AP fine.

Stopped NM, did  /sbin/modprobe -r iwl3945 mac80211 cfg80211, commented out the
disable_hw_scan=1 line in modprobe.conf, did /sbin/modprobe iwl3945 and
restarted NM. Unfortunately no longer able to associate, NM keeps asking me to
enter the WPA key. dmesg shows:

iwl3945: Intel(R) PRO/Wireless 3945ABG/BG Network Connection driver for Linux,
1.2.26kds
iwl3945: Copyright(c) 2003-2007 Intel Corporation
ACPI: PCI Interrupt 0000:0c:00.0[A] -> GSI 17 (level, low) -> IRQ 17
PCI: Setting latency timer of device 0000:0c:00.0 to 64
iwl3945: Detected Intel PRO/Wireless 3945ABG Network Connection
iwl3945: Tunable channels: 13 802.11bg, 23 802.11a channels
phy0: Selected rate control algorithm 'iwl-3945-rs'
ADDRCONF(NETDEV_UP): eth0: link is not ready
ACPI: PCI Interrupt 0000:0c:00.0[A] -> GSI 17 (level, low) -> IRQ 17
ADDRCONF(NETDEV_UP): wlan0: link is not ready
wlan0: Initial auth_alg=0
wlan0: authenticate with AP 00:18:f6:70:84:1c
wlan0: authenticate with AP 00:18:f6:70:84:1c
wlan0: authenticate with AP 00:18:f6:70:84:1c
wlan0: authentication with AP 00:18:f6:70:84:1c timed out
wlan0: authentication frame received from 00:18:f6:70:84:1c, but not in
authenticate state - ignored
wlan0: authentication frame received from 00:18:f6:70:84:1c, but not in
authenticate state - ignored
wlan0: Initial auth_alg=0
wlan0: authenticate with AP 00:18:f6:70:84:1c
wlan0: RX authentication from 00:18:f6:70:84:1c (alg=0 transaction=2 status=0)
wlan0: authenticated
wlan0: associate with AP 00:18:f6:70:84:1c
wlan0: RX AssocResp from 00:18:f6:70:84:1c (capab=0x411 status=0 aid=1)
wlan0: associated
ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
wlan0: no IPv6 routers present

My setup has changed slightly with moving apartment in that I am now trying to
associate with a Thomson 780WL access point. There are about 6 other APs in
range as well. Changing these conditions at the same time wasn't very
scientific... but, life forced a move :)
Comment 46 Jonathan Underwood 2008-03-06 19:33:36 EST
More of the dmesg output

iwl3945: Copyright(c) 2003-2007 Intel Corporation
ACPI: PCI Interrupt 0000:0c:00.0[A] -> GSI 17 (level, low) -> IRQ 17
PCI: Setting latency timer of device 0000:0c:00.0 to 64
iwl3945: Detected Intel PRO/Wireless 3945ABG Network Connection
iwl3945: Tunable channels: 13 802.11bg, 23 802.11a channels
phy0: Selected rate control algorithm 'iwl-3945-rs'
ACPI: PCI Interrupt 0000:0c:00.0[A] -> GSI 17 (level, low) -> IRQ 17
ADDRCONF(NETDEV_UP): wlan0: link is not ready
wlan0: Initial auth_alg=0
wlan0: authenticate with AP 00:18:f6:70:84:1c
wlan0: RX authentication from 00:18:f6:70:84:1c (alg=0 transaction=2 status=0)
wlan0: authenticated
wlan0: associate with AP 00:18:f6:70:84:1c
wlan0: associate with AP 00:18:f6:70:84:1c
wlan0: RX AssocResp from 00:18:f6:70:84:1c (capab=0x411 status=0 aid=1)
wlan0: associated
wlan0: association frame received from 00:18:f6:70:84:1c, but not in associate
state - ignored
ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
wlan0: no IPv6 routers present
wlan0: disassociate(reason=3)
wlan0: Initial auth_alg=0
wlan0: authenticate with AP 00:18:f6:70:84:1c
wlan0: Initial auth_alg=0
wlan0: authenticate with AP 00:18:f6:70:84:1c
wlan0: RX authentication from 00:18:f6:70:84:1c (alg=0 transaction=2 status=0)
wlan0: authenticated
wlan0: associate with AP 00:18:f6:70:84:1c
wlan0: associate with AP 00:18:f6:70:84:1c
wlan0: authentication frame received from 00:18:f6:70:84:1c, but not in
authenticate state - ignored
wlan0: RX ReassocResp from 00:18:f6:70:84:1c (capab=0x411 status=0 aid=1)
wlan0: associated
wlan0: association frame received from 00:18:f6:70:84:1c, but not in associate
state - ignored
wlan0: disassociate(reason=3)
wlan0: disassociate(reason=3)
wlan0: Initial auth_alg=0
wlan0: authenticate with AP 00:18:f6:70:84:1c
wlan0: Initial auth_alg=0
wlan0: authenticate with AP 00:18:f6:70:84:1c
wlan0: RX authentication from 00:18:f6:70:84:1c (alg=0 transaction=2 status=0)
wlan0: authenticated
wlan0: associate with AP 00:18:f6:70:84:1c
wlan0: RX ReassocResp from 00:18:f6:70:84:1c (capab=0x411 status=0 aid=1)
wlan0: associated
wlan0: no IPv6 routers present
Comment 47 Jonathan Underwood 2008-03-08 07:44:47 EST
Also, with kernel-2.6.24.3-12.fc8 I fail to associate irrespective of
disable_hw_scan.

[As an aside kernel-2.6.24.3-12.fc8 also locks my machine up periodically]
Comment 48 Paul Johnson 2008-03-09 22:57:54 EDT
Me too. kernel-2.6.24.3-12.fc8 never did associate, no matter what.

I have a kernel from koji today: kernel-2.6.24.3-22.fc8 and with
disable_hw_scan=1, I can associate to networks that I have configured in
system-config-network.  NetworkManager does not work at all, never has on WEP
key networks.

The big problem for me is that I can never "find" any new networks using
software scanning.  If I change to disable_hw_scan, then at least I can find
networks.  Then I have to turn of hardware scanning and restart.  Here's what I
see when hw scan is disabled.

$ /sbin/iwlist scan
lo        Interface doesn't support scanning.

wmaster0  Interface doesn't support scanning.

wlan0     No scan results

eth0      Interface doesn't support scanning.

PJ
Comment 49 John W. Linville 2008-03-13 11:26:08 EDT
If my reading of the mailing list is correct, this problem is resolved?

   http://koji.fedoraproject.org/koji/buildinfo?buildID=42735
Comment 50 Paul Johnson 2008-03-13 19:14:53 EDT
Yes, for my part in this, it is solved. Turning off the wpa_supplicant service
was the solution.  I have gone between WEP, Wired DHCP, and nonencrypted
wireless networks and get an instant connection after logging in. 

Special thanks to John, who saw through a lot of my crap to glimpse the solution.  
Comment 51 Jonathan Underwood 2008-03-13 20:25:48 EDT
With 2.6.24.3-34.fc8 I have succesfully associated with my AP both with and
without disable_hw_scan=1, so indeed, it does look like we've got a golden
kernel here (at least wrt iwl3945, and with my setup :)).
Comment 52 Brian Morrison 2008-03-25 18:13:47 EDT
Oh dear, I don't think John's going to like me then, I have a working setup with
2.6.23.15-137.fc8 but it simply will not work with 2.6.24.3-34.fc8 under the
same conditions. I have captured some debug output which I'm going to attach
here, but essentially the problem seems to be that NetworkManager appears to be
unable to find wlan0. I also find that if I use disable_hw_scan=1 as an iwl3945
option, after a little while the machine loses the AP in the working
configuration and won't reconnect. Hardware scanning will allow the connection
to persist effectively permanently.
Comment 53 Brian Morrison 2008-03-25 18:17:25 EDT
Created attachment 299077 [details]
Grep for wlan0 messages in /var/log/messages with working NM/WPA WLAN association

Working case with kernel 2.6.23.15-137.fc8, all other packages updated with yum
to latest standard to date
Comment 54 Brian Morrison 2008-03-25 18:22:00 EDT
Created attachment 299078 [details]
grep of iwl3945 debug output from /var/log/messages for good association

Working association with kernel 2.6.23.15-137.fc8
Comment 55 Brian Morrison 2008-03-25 18:23:47 EDT
Created attachment 299079 [details]
Grep for wlan0 messages in /var/log/messages with broken NM/WPA WLAN association

Broken association with kernel 2.6.24.3-34.fc8
Comment 56 Brian Morrison 2008-03-25 18:25:29 EDT
Created attachment 299080 [details]
grep of iwl3945 debug output from /var/log/messages for bad association

Broken association with kernel 2.6.24.3-34.fc8
Comment 57 Brian Morrison 2008-03-25 19:03:24 EDT
Also noticed that /etc/sysconfig/network-scripts/ifcfg-wlan0 exists for the
working case but does not for the broken case.

In both cases iwlist wlan0 scan finds both my APs correctly, but in the broken
case iwconfig wlan0 is showing the wrong channel (#1) and in the working case
the correct channel (#12).
Comment 58 Brian Morrison 2008-03-26 08:23:20 EDT
After looking at the iwl3945 debug output in both the good and the bad case, I
think I can see why association never happens. My AP is on channel 12. In the
good association case all the 2.4GHz channels from 1 to 13 are scanned. In the
case of the bad association (newer kernel and hence newer driver version) only
channels 1 to 11 are scanned.

How does the driver decide which channels are allowed? Channel 12 and 13 exist
in the ETSI allocation but not in the FCC allocation. Is there a way to tell it
which jurisdiction to use?
Comment 59 Jonathan Underwood 2008-03-26 08:27:37 EDT
There's a very active and responsive upstream mailing list where you might get
helpful responses to these issues:

https://lists.sourceforge.net/lists/listinfo/ipw3945-devel
Comment 60 John W. Linville 2008-03-26 14:54:45 EDT
Technically, the driver does not decide what channels to scan at all.  Other 
components make that determination.

I suspect that in /etc/modprobe.conf you (Brian) have a line that looks like 
this:

   options mac80211 ieee80211_regdom=64

Not too long ago things got a bit shifted and the code for determinig 
regulatory domains got moved to a different module.  Now the line above needs 
to be replaced with one like this:

   options cfg80211 ieee80211_regdom="JP"

There is not one for ETSI, sorry.  But the one for Japan does include channels 
12 and 13.  Do be careful not to use any disallowed channels in your 
geography.  :-)

I believe this will resolve the issue Brian is reporting.  If not, then please 
open a new bug, as I do not believe this to be a driver issue.  Thanks!
Comment 61 Brian Morrison 2008-03-26 15:05:35 EDT
I don't have any entries for either mac80211 or cfg80211 options in
/etc/modprobe.conf John, but perhaps I need some. Is there a list of what
options are supported, or do I need to read the source? No entry for ETSI? I'm
surprised at that. Previous drivers I used had numerical region IDs, ETSI used 2
with FCC=1 IIRC.

I am now getting responses from the ipw3945-devel list, if I can't work this out
with that help I will open a new bug, but I won't do that until I have tried the
2.6.24.3-50.fc8 kernel that I see has been pushed today.
Comment 62 John W. Linville 2008-03-26 15:46:53 EDT
The options are "JP" and "US".  If you'd like to offer an "EU" option then I 
am happy to accept your patch to net/wireless/reg.c... :-)

Please be sure to try the suggested option from comment 60 before opening a 
new bug...thanks!
Comment 63 Brian Morrison 2008-03-26 16:54:46 EDT
Well having just looked I can't find any file called reg.c in the 2.6.24.4
kernel tree...
Comment 64 John W. Linville 2008-03-26 16:59:29 EDT
Fedora wireless bits are newer than upstream...

http://koji.fedoraproject.org/packages/kernel/2.6.24.3/34.fc8/src/kernel-2.6.24.3-34.fc8.src.rpm

Or if you are a git user, you might prefer the upstream git tree:

git://git.kernel.org/pub/scm/linux/kernel/git/linville/wireless-testing.git

Hth!
Comment 65 Brian Morrison 2008-03-26 17:41:59 EDT
Yeah, just found it in some of the pending patches.

I will have a look at it and see if I can work out what's needed for the EU
(ETSI) case.
Comment 66 Brian Morrison 2008-03-29 06:04:06 EDT
The ieee80211_regdom="JP" option has fixed my problem John, thanks for the
advice. I hope you received my patch adding an EU domain.

Note You need to log in before you can comment on or make changes to this bug.